=== ChangeLog discontinued ===

	With the move to git, atk is switching from a ChangeLog file
	to relying on commit messages to provide change history. Please
	see README.commits for guidance on the expected message format.

2009-03-19  Li Yuan  <liyuan@goaltender>

	Patch from Yue Wang. Bug #575794.
	* atk/atkcomponent.c:
	* atk/atkdocument.c:
	* atk/atkhyperlink.c:
	* atk/atkhyperlinkimpl.c:
	* atk/atkmisc.c:
	* atk/atkobject.c:
	* atk/atkobject.h:
	* atk/atkrelation.c:
	* atk/atkrelationset.c:
	* atk/atkstreamablecontent.c:
	* atk/atktext.c:
	* atk/atkutil.c:
	* atk/atkvalue.c:
	Change "ATK 1.x" to "1.x". Avoid build error.

2009-03-16  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	Revved to 1.26.0 for GNOME 2.26.0.

2009-03-06  Sven Herzberg  <herzi@lanedo.com>

	Improve the documentation

	* docs/atk-sections.txt: added AtkStateSet; this will enable a link to
	the right page, as well as display the inheritance relation to GObject
	(so people can see that g_object_unref is the right function - instead
	of implying this by the absence of any free function)
	* docs/tmpl/atkstateset.sgml: updated auto-built file

2008-12-01  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	 Revved to 1.25.2 for GNOME 2.25.2.

2008-11-27  Li Yuan  <li.yuan@sun.com>

	* configure.in:
	Bug #562204. Remove dependency of gmodule.

2008-11-27  Li Yuan  <li.yuan@sun.com>

	* atk/atkobject.c: (atk_role_get_name),
	(atk_role_get_localized_name), (atk_role_for_name):
	* atk/atktext.c: (atk_text_attribute_get_value):
	Bug #505445. Patch from Christian Persch. Removed unnecessary
	memory relocations.

2008-11-14  Li Yuan  <li.yuan@sun.com>

	* atk/atkobject.c:
	Bug #361757. Add ATK_ROLE_LINK and ATK_ROLE_INPUT_METHOD_WINDOW
	to role_items so their name can be got.
	* atk/atkrelation.c: (atk_relation_set_property):
	Bug #478620. Fix memory when atk_relation_set_property.

2008-11-11  Li Yuan  <li.yuan@sun.com>

	* atk/atkgobjectaccessible.c:
	Bug #560156. Fix parameter type description.

2008-11-10  Li Yuan  <li.yuan@sun.com>

	* atk/atkobject.c: (atk_object_remove_relationship):
	Bug #477708. Only remove the target, not the relation if
	there are still are targets.
	* atk/atkrelation.c: (atk_relation_remove_target):
	* atk/atkrelation.h: New API.
	* atk/atkrelationset.c: (atk_relation_set_add),
	(atk_relation_set_remove): 
	Add/remove the new relation's targets to/from the existed 
	relation if there has been a relation with the same type.
	* atk/atkstateset.c: (atk_state_set_or_sets):
	Bug #478595. Return NULL if sets are empty.

2008-11-10  Li Yuan  <li.yuan@sun.com>

	* atk/atkrelationset.c: (atk_relation_set_add):
	Don't ref the relation if it is not added.

2008-11-07  Li Yuan  <li.yuan@sun.com>

	* atk/atkrelationset.c: (atk_relation_set_add):
	Bug #478583. Do not add the relation if it is already
	in the relationset.

2008-11-07  Li Yuan  <li.yuan@sun.com>

	* atk/atkutil.c: (atk_add_global_event_listener),
	(atk_add_key_event_listener):
	Bug #480126.
	Change the return value to 0 if failure accroding to doc.

2008-09-22  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	Revved to 1.24.0 for GNOME 2.24.0.

2008-09-19  Tor Lillqvist  <tml@novell.com>

	* atk-zip.sh.in: Message catalogs are in share/locale, not
	lib/locale.

2008-09-13  Tor Lillqvist  <tml@novell.com>

	* atk/atkobject.c: Don't use the deprectated
	g_win32_get_package_installation_subdirectory(). Use
	g_win32_get_package_installation_directory_of_module()
	instead. Also, don't use the deprecated silly
	G_WIN32_DLLMAIN_FOR_DLL_NAME() macro, but an explicit minimal
	DllMain() that just saves the DLL handle.

2008-09-09  Li Yuan  <li.yuan@sun.com>

	* configure.in:
	Bug #551474. add LINGUAS file to pass make dist.

2008-08-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: On Windows set LIB_EXE_MACHINE_FLAG to X86 or X64
	depending on host architecture.

	* atk/Makefile.am: Use it if/when running lib.exe.

2008-07-28  Tor Lillqvist  <tml@novell.com>

	* atk/Makefile.am (libatk_1_0_la_DEPENDENCIES): Depend on atk.def
	on Windows so that we build it before trying to use it.

2008-07-21  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	Revved to 1.23.5 for GNOME 2.23.5.
	* atk/Makefile.am:
	generate atk.def from atk.symbols.


2008-07-11  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Pashto (ps) to ALL_LINGUAS

2008-06-19  Li Yuan  <li.yuan@sun.com>

	* atk/Makefile.am:
	* atk/atk.def:
	* atk/atk.symbols:
	* atk/atkhyperlink.h:
	* atk/atkobject.h:
	* docs/tmpl/atkhyperlink.sgml:
	* docs/tmpl/atkobject.sgml:
	Patch from Mike Gorse <mgorse@novell.com>. Bug #526752.
	Mark deprecated symbols with ATK_DISABLE_DEPRECATED.

2008-06-05  Michael Natterer  <mitch@imendio.com>

	Bug #535704:

	* configure.in: add G_DISABLE_SINGLE_INCLUDES and
	ATK_DISABLE_SINGLE_INCLUDES to CPPFLAGS.

	* atk/atk.h: define __ATK_H_INSIDE__ around including all other
	headers.

	* atk/atk*.h: add single-include guards that #error out if
	ATK_DISABLE_SINGLE_INCLUDES is defined and any of these files is
	included individually. Use G_BEGIN_DECLS/G_END_DECLS in all files.

	* atk/Makefile.am: define ATK_COMPILATION while building ATK.
	Add single-include guards to the generated atk-enum-types.h too.

2008-03-10  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	Revved to 1.22.0 for GNOME 2.22.0.

2008-02-25  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	Revved to 1.21.92 for GNOME 2.21.92.

2008-01-31  Li Yuan  <li.yuan@sun.com>

	* atk/atktext.c: (atk_text_get_character_at_offset),
	(atk_text_get_text_at_offset):
	Bug #508846. Extend allowed indexes of 
	ATK_TEXT_GET_TEXT_AT_OFFSET and
	ATK_TEXT_GET_CHARACTER_AT_OFFSET to allow values -1 and -2.

2008-01-14  Li Yuan  <li.yuan@sun.com>

	* NEWS:
	* configure.in:
	Revved to 1.21.5 for GNOME 2.21.5.

2008-01-04  Li Yuan  <li.yuan@sun.com>

	* atk/atkutil.h:
	Bug #502840. Derived type definition convenience macros
	* tests/Makefile.am:
	Bug #500978. Fixes the building of the test modules 
	as dynamic on Cygwin and MinGW.

2007-09-24  Li Yuan  <li.yuan@sun.com>

	* atk/atkhyperlink.c: (atk_hyperlink_class_init):
	Fix bug #477763. Correct registration of the 
	"start-index" property for AtkHyperlink.

2007-09-17  Li Yuan  <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.20.0 for GNOME 2.20.0.

2007-08-03  Danishka Navin  <danishka@gmail.com>

	* configure.in: added "si" (Sinhala) to ALL_LINGUAS.

2007-07-30  Li Yuan  <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.19.6 for GNOME 2.19.6.

2007-07-27  Li Yuan  <li.yuan@sun.com>

	* atk/atkutil.c: (atk_get_version):
	* atk/atkutil.h:
	Bug #460851. A new API to get the current version of ATK.

2007-06-04  Li Yuan <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.19.3 for GNOME 2.19.3.
	Remove gnome-doc-utils dependence.

2007-05-11  Brian Cameron  <brian.cameron@sun.com>

	* Use $(GLIB_MKENUMS) instead of calling glib-mkenums directly.
	  This works better when you build with glib via an
	  uninstalled.pc file.

2007-04-25  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: added "oc" (Occitan) to ALL_LINGUAS.

2007-04-23  Li Yuan <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.19.1 for GNOME 2.19.1.

2007-04-11  Li Yuan <li.yuan@sun.com>

	* autogen.sh, configure.in: use gnome-autogen.sh to simplify
	autogen.sh.

2007-03-22  Christian Persch <chpe@gnome.org>

	Fix for #418194.
	* atk/Makefile.am: use -DATK_LOCALEDIR.
	* configure.in: remove AM_GLIB_DEFINE_LOCALEDIR.

2007-03-22  Christian Persch <chpe@gnome.org>

	Fix for #382328.
	* atk/atkrelation.c: (atk_relation_type_get_name): add missing const.
	* atk/atkstate.c: (atk_state_type_get_name): ditto.
	* atk/atktext.c: (atk_text_attribute_get_name): ditto.

2007-03-12  Li Yuan <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.18.0 for GNOME 2.18.0.

2007-03-02  Li Yuan <li.yuan@sun.com>

	* atk/atkobject.c: 
	(atk_object_notify_state_change):
	Fix #408527. Add a check.

2007-02-25  Tor Lillqvist  <tml@novell.com>

	* atk/atkmisc.h: Fix typo: declare atk_misc_get_type(), not
	atk_util_get_type().

	* atk/atk.def: Add atkmisc entry points.

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

2007-02-13  Bill Haneman <bill.haneman@sun.com>

	* atk/atkstate.h: Clarified documentation for
	ATK_STATE enumerations.  See bug #398038.

	* atk/atkrelation.c: Point to atk_object_add_relationship, 
	to clarify and simplify use of AtkRelation.  See bug #367627.
	
2007-02-12  Li Yuan  <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.17.0.

2007-02-12  Li Yuan  <li.yuan@sun.com>

	* atk/atkmisc.c:
	(atk_misc_threads_enter), (atk_misc_threads_leave):
	Bug #404592. Don't do anything if misc is NULL.

2007-01-22  Li Yuan  <li.yuan@sun.com>

	* configure.in, NEWS:
	Revved to 1.13.2.

2007-01-19  Li Yuan  <li.yuan@sun.com>

	* atk/atkmisc.c:
	(atk_misc_threads_enter), (atk_misc_threads_leave):
	Bug #329454. Use ATK_MISC_GET_CLASS to get AtkMiscClass
	to use the overloaded functions. 

2007-01-13  Hans Breuer  <hans@breuer.org>

	* atk/makefile.msc : adapt lib name to "auto-standard", add atkmisc

2007-01-10  Li Yuan <li.yuan@sun.com>

	* configure.in:
	* atk/atkmisc.h:
	Revved to 1.13.1.

2007-01-08  Bill Haneman <bill.haneman@sun.com>

	* atk/atkaction.c:
	(atk_action_get_name): Clarified what is expected 
	in an action name, and numerated some commonly-used names.
	(atk_action_get_keybinding): Improve the documentation
	for the string returned by this API.

2007-01-08  Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.13.0, since new API
	has been added for gnome 2.17.5.  (ATK is
	now API frozen for gnome 2.18.)

	* atk/atkmisc.[ch]: New class which provides
	miscellaneous utilities including
	(atk_misc_threads_enter, atk_misc_thread_leave): New, 
	see bug #329454.

	* docs/tmpl/atkmisc.sgml:
	Docs for AtkMisc.
	
	* docs/tmpl/atkhyperlinkimpl.sgml: Added minimal
	doc for AtkHyperlinkImpl struct.
	
2006-12-05  Li Yuan <li.yuan@sun.com>

	* configure.in, NEWS:
	Bump to 1.12.4, for gnome 2.17.4.

2006-12-04  Bill Haneman <bill.haneman@sun.com>
	
	* Added Li Yuan <li.yuan@sun.com> to MAINTAINERS.

2006-10-01  Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS:
	Bump to 1.12.3, for gnome 2.16.1.
	
2006-09-26  Bill Haneman <bill.haneman@sun.com>

	* atk/atktext.c:
	(atk_text_attribute_get_value): Allow 
	the wrap value to be 3 (bug #357847).

2006-09-14  Bill Haneman <bill.haneman@sun.com>

	* atk/docs/atkdocument.sgml:
	Update docs to include signals, and revise description.
	
	Following code changes from Neo Liu <nian.lui@sun.com>

	* atkdocument.c:
	(atk_document_base_init): New, add signals
	"load_complete", "load_stopped", "reload".

	* atknoopobject;c:
	(atk_no_op_object_get_type): Add 'AtkDocument'
	interface type to this test AtkObject class.
	
2006-09-19  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS

2006-09-14  Bill Haneman <bill.haneman@sun.com>

	* atk/atk.def: Added some missing symbols for win32 build.
	Patch from Cedric Gustin, bug #355912.
	
	* atk/atkhyperlink.c:
	(atk_hyperlink_is_selected_link): Mark deprecated, since
	ATK_STATE_SELECTED gives the same information for hyperlinks.
	Bug #340553.
	
	* atk/atktext.c:
	(atk_text_attribute_get_value): Allow value of
	PANGO_UNDERLINE_ERROR, since this is not an error condition, but
	denotes the underline style used to indicate spelling errors.
	Bug #346464.
	
2006-09-08  Bill Haneman <bill.haneman@sun.com>

	* atk/atkhyperlinkimpl.c:
	(atk_hyperlink_impl_get_hyperlink): Add missing
	return statement - thanks to Neo Liu for finding this.
	Bug #352227.

2006-09-01  Abel Cheung  <abel@oaka.org>

	* configure.in: Added 'dz' 'ku' to ALL_LINGUAS.

2006-08-21 Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.12.2.
	
2006-08-17 Bill Haneman <bill.haneman@sun.com>

	* docs/atk-docs.sgml: Added entity for AtkHyperlinkImpl.

	* docs/atk-sections.txt: Added entries for newly added API.

	* atk/atkvalue.c:
	(atk_value_get_minimum_increment): Added the right number of
	asterisks to make gtk-doc happy (!) so that inline docs are exposed.
	
	Fixes bug #351580.
	
2006-08-01 Bill Haneman <bill.haneman@sun.com>

	* atk/atkobject.h:
	Improved docs for ATK_ROLE_APPLICATION, ATK_ROLE_ALERT.
	
2006-07-03 Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-06-29 Bill Haneman <bill.haneman@sun.com>

	* atk/atkhyperlinkimpl.h:
	* atk/atkhyperlinkimpl.c:
	(atk_hyperlink_impl_get_hyperlink): New method and 
	interface, allows a client to obtain the 
	AtkHyperlink instance associated with an AtkObject.
	See RFE #344284.

	* configure.in: Bumped to 1.12.1.

2006-06-23 Bill Haneman <bill.haneman@sun.com>

	* docs/atk-docs.sgml: Add index sections.
	* atk/*.c: Fix 'Since' and 'Deprecated' tags so that
	index xsl parser can find them.  Bug #313183.

	* atk/atkobject.h:
	Added ATK_ROLE_LINK and ATK_ROLE_INPUT_METHOD_WINDOW, 
	bug #345367 and #140635.
	
2006-06-21 Bill Haneman <bill.haneman@sun.com>

	* atk/atkstateset.c:
	(ATK_STATE): Patch from Ginn Chen, bug #345407.
	Fix ATK_STATE macro for state values > 32.
	
2006-06-15 Bill Haneman <bill.haneman@sun.com>

	* atk/atkstreamablecontent.h, atkstreamablecontent.c:
	Fix nasty typo.  Bug #344915.
	
2006-06-14 Bill Haneman <bill.haneman@sun.com>

	* atk/atkstreamablecontent.h, atkstreamablecontent.c:
	(atk_streamable_content_get_uri): New method, returns a string
	representing a URI from which content may be streamed.
	See RFE #344885.
	
2006-06-08 Bill Haneman <bill.haneman@sun.com>

	* atk/Makefile.am: Added $(srcfile) to win32
	libatk_1_0_la_LDFLAGS,
	bug #336802.  Hope that works, as I don't have a win32 build env
	to test on.
	
2006-06-08 Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.12.0 after tagging the repository with
	gnome-2-14 (if we need to create/work on the old branch).
	
	* atk/atkobject.h, atkobject.c: Added ATK_ROLE_FORM (bug #344142).
	
	* atk/atkrelationtype.h: Added ATK_RELATION_DESCRIPTION_FOR, 
	ATK_RELATION_DESCRIBED_BY (bug #344144).

	* atk/atkstate.h: Added ATK_STATE_DEFAULT (bug #344281) and
	ATK_STATE_VISITED (bug #344384), also ATK_STATE_ANIMATED which
	is in AT-SPI but was not yet in ATK.

	* atk/atkvalue.h, atkvalue.c: Add atk_value_get_minimum_increment
	(missing despite being in AT-SPI's IDL for Value: bug #341875)
	
2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete no.po referrals
	* po/no.po: Same.

2006-03-28 Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS: Revved to 1.11.4, to include docs improvements.
	
2006-03-24  Gora Mohanty  <gmohanty@cvs.gnome.org>

        * configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-03-21 Bill Haneman <bill.haneman@sun.com>

	gtk-doc documentation fixes: ATK now has 100% API coverage
	with no incomplete function/struct descriptions.
	
	* atk/atkdocument.c: Edited docs to make gtk-doc happier.
	* atk/atkimage.c: Ditto.
	* atk/atkobject.c: Moved 'Deprecated' tag relative to 'Returns',
	to make gtk-doc happier.
	* atk/atkobject.h: Documented AtkPropertyValues.
	* atk/atkrelationtypes: Documented the unused/invalid types
	ATK_RELATION_TYPE_NULL and ATK_RELATION_TYPE_LAST_DEFINED.
	* atk/atktext.h: Documented AtkTextBoundaryType.
	* atk/atkutil.h: Documented AtkKeyEventStruct.
	* docs/atksections.txt: Added missing function entries.
	* docs/tmpl/atkhypertext.sgml: Added long description.
	* docs/tmpl/atkregistry.sgml: Added long description.
	* docs/tmpl/atkrelationset.sgml: Added long description.
	* docs/tmpl/atkstreamablecontent.sgml: Added long description.
	
2006-03-21  Tor Lillqvist  <tml@novell.com>

	* atk/atkobject.c (get_atk_locale_dir): Fix fatal typo.

	* atk/atk.def: Add some missing functions.

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-20 Bill Haneman <bill.haneman@sun.com>
	
	* atk/atkutil.h: Added missing info on AtkEventListener,
	AtkEventListenerInit, and AtkKeySnoopFunc. bug #320911.

	* atk/atkimage.h: Moved information about '-1' return values
	to the corresponding parameters.  bug #320916.
	
	* atk/atkobject.c: Fixed some docs issues in comment blocks.

	* docs/tmpl/atkobject.sgml: Clarify children-changed signal
	params. bug #162410.
	
2006-03-20 Bill Haneman <bill.haneman@sun.com>

	* atk/atkimage.c: Bug detected by Behdad Esfahbod
	(atk_image_get_position): Allow for NULL-in params.
	(atk_image_get_size): Allow for NULL in-params.
	
2006-03-13 Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS: Revved to 1.11.3.
	This is the GNOME 2.14.0 version of ATK.
	
2006-02-24 Bill Haneman <bill.haneman@sun.com>

	* atk/atkobject.c:
	(get_atk_locale_dir): Make sure to convert from UTF-8 to
	correct filename encoding; bug #317458 from Kazuzi IWAMOTO.

	* atk/atkobject.c:
	* atk/atktext.c:
	Const patch from Arjan Van de Van; adds 'const' to 
	internal atk structures and methods where appropriate.

2006-01-17 Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.11.1.
	Re-dist using a working gtk-doc, so that docs are included.
	
2006-01-16 Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.11.0.
	
2005-12-27  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2005-11-17  Bill Haneman <bill.haneman@sun.com>

	* atk/atkobject.h:
	(AtkRoleType): Added ATK_ROLE_ENTRY, ATK_ROLE_CHART,
	ATK_ROLE_CAPTION, ATK_ROLE_DOCUMENT_FRAME, ATK_ROLE_HEADING,
	ATK_ROLE_PAGE, ATK_ROLE_SECTION, ATK_ROLE_REDUNDANT_OBJECT.
	(AtkAttributeSet): Moved here from AtkText.
	(AtkObjectClass): Added get_attributes vfunc pointer.

	(atk_object_get_attributes): New public method.
	
	* atk/atkobject.c:
	(atk_object_get_attributes): New method implementation, 
	uses AtkObjectClass->get_attributes.   This method allows
	the assignment of weakly-type attributes to any AtkObject
	instance, as name-value pairs.
	(AtkRoleItem): Added names for the new roles.
	
	* atk/atkstate.h:
	(AtkStateType): Added ATK_STATE_INVALID_ENTRY, 
	ATK_STATE_SUPPORTS_AUTOCOMPLETION, ATK_STATE_SELECTABLE_TEXT.
	Tweaked docs for other states.
	
	* atk/atkimage.h:
	(AtkImageClass): Added get_image_locale vfunc.
	(atk_image_get_image_locale): New method.

	* atk/atkimage.c:
	(atk_image_get_image_locale): New method.

	* atk/atkcomponent.h:
	(AtkComponentClass): Added get_alpha vfunc.
	(atk_component_get_alpha): New method.
	
	* atk/atkcomponent.c:
	(atk_component_get_alpha): New method.

	* atk/atkdocument.h:
	(AtkDocument): Added vfuncs for document locale and
	document attributes.
	(atk_document_get_locale): New.
	(atk_document_get_attributes): New.
	(atk_document_get_attribute_value): New.
	(atk_document_set_attribute_value): New.

	* atk/atkdocument.c: 
	(atk_document_get_locale): New.
	(atk_document_get_attributes): New.
	(atk_document_get_attribute_value): New.
	(atk_document_set_attribute_value): New.	
	
2005-11-16  Bill Haneman <bill.haneman@sun.com>

	* atk/atkimage.c:
	* atk/atkhypertext.c:
	* atk/atkobjectfactory.c:
	* atk/atktable.c: Moved error return code
	description to 'Returns' section.
	* docs/tmpl/atkutil.sgml:
	Committed a docs patch from Bill Abt.
	
2005-11-01  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added tt (Tatar) to ALL_LINGUAS.

2005-09-05  Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS: Release 1.10.3, 
	with a working libtool (1.10.2 was a bad release, don't use).

2005-08-29  Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS: Release 1.10.2.

2005-08-19  Tor Lillqvist  <tml@novell.com>

	* atk-zip.sh.in: Drop the timestamp from the zip file
	names. Include the .def file.

	* atk/Makefile.am (install-def-file): Fix typo.

2005-08-04  Tor Lillqvist  <tml@novell.com>

	* configure.in: Look for windres on Win32.

	* atk/Makefile.am: Don't use the script in GLib's build/win32 to
	compile the rc file into a resource object file. (This means we
	lose the build number increment magic, but I doubt it was that
	useful anyway.) Instead use windres directly. To pass a normal .o
	file produced by windres through libtool, which wants .lo files,
	pass it directly to the linker using a -Wl option.

	* atk/atk.rc.in: Correspondingly, replace BUILDNUMBER with 0.

2005-07-18  Abduxukur Abdurixit <abdurixit@gmail.com>      

	* configure.in: Added 'ug' to ALL_LINGUAS.

2005-06-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-04-28  Bill Haneman <billh@gnome.org>

	* configure.in: Patch from Michael Meeks to
	make atk 1.9's dependency on gtk+ 2.6 soft, i.e. 
	don't require gmodule-no-export-2.0.
	Restores compatibility of atk 1.9 series with gtK 2.4.X.

	Revved to 1.10.1.

2005-04-22  Tor Lillqvist  <tml@novell.com>

	* atk/atkobject.c: Initialize gettext before use. Calling
	bindtextdomain() and bind_textdomain_codeset() in
	atk_role_get_localized_name() was too late. Put the calls in new
	function gettext_initialization() and call that from
	atk_object_class_init() and atk_role_get_localized_name(). Move
	the Win32-specific DllMain() and get_atk_locale_dir() functions
	and the redefinition of ATK_LOCALEDIR before
	gettext_initialization() as it uses ATK_LOCALEDIR. Fixes #170948
	for atk's part. Thanks to Robert Ögren, Daniel Atallah and Kevin
	Stange.

2005-04-09  Hans Breuer  <hans@breuer.org>

	* atk/makefile.msc : updated $(LIBINTL_LIBS)
	atkrelationtype.h to atk_headers, PKG_VER

2005-04-05  Bill Haneman <bill.haneman@sun.com>

	* atk/atkstate.h: Added ATK_STATE_REQUIRED, to
	indicate that explicit user interaction with a UI control is
	required, i.e. for web forms elements with the 'required' tag.
	See bug #172663.
	
2005-04-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkrelation.c: Update doc to note that atk_relation_add_target
	was added for version 1.9.

	* atk/atkrelationset.c: Update doc to note that 
	atk_relation_set_add_relation_by_type was added for version 1.9.

2005-03-30  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-08  Bill Haneman <bill.haneman@sun.com>

	* ===== Released 1.9.1=====

	* configure.in, NEWS, README: Released 1.9.1.

2005-02-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk.spec.in:  Corrected FTP directory. (bug #168218)
	Corrected spelling

2005-02-08  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-01-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atk.def: Add atk_text_clip_type_get_type. Bug #165288.

2004-12-29  Tor Lillqvist  <tml@iki.fi>

	* atk/atk.def: Add new functions.

2004-12-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkrelationtype.h: Add description for ATK_RELATION_SUBWINDOW_OF.
	Fixes bug #161562.

2004-11-29  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.9.0=====

	* configure.in: Version 1.9.0, interface age 0, binary age 900

	* NEWS: Updated.

Thu Nov 25 14:11:41 2004  Manish Singh  <yosh@gimp.org>

	* autogen.sh: rm autom4te.cache, since it might interfere with
	differing autoconf versions.

2004-11-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Replace DEPRECATED by @Deprecated in comments
	to fix warning when documentation is generated.

	* atk/atkrelation.[ch]: 
	* docs/tmpl/atkrelation.sgml: Add atk_relation_add_target.

	* atk/atkrelationset.[ch]:
	* atk/tmpl/atkrelationset.sgml: 
	Add atk_relation_set_add_relation_by_type.

	* docs/atk-sections.txt: Add atk_relation_add_target and
	atk_relation_set_add_relation_by_type.

	Fixes bug #158722.

2004-11-17  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Use gmodule-no-export.pc, requires glib 2.5.7.
	Patch from Matthias Clasen for bug #158531. 
	Incremented version to 1.9.0. 
	Branch for gnome-2-8 has been created.
	
2004-11-11  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "as" to ALL_LINGUAS.

2004-10-28  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-docs.sgml: Add a more descriptive title in the docs.
	Patch from Diego Gonzalez. (bug #156296)

	* atk/text.c (Clarify meaning of end_offset for 
	atk_text_get_text_at_offset().
	Patch from Bill Haneman. (bug #156574)

2004-09-14  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "ar" to ALL_LINGUAS.

2004-09-10  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added "th" to ALL_LINGUAS.

2004-09-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.8.0=====

	* configure.in: Version 1.8.0, interface age 0, binary age 800

	* NEWS: Updated.

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-13  Padraig O'Briain  <padraig.obriain@sun.com>

	* *atk/atkdocument.c atk/atkeditabletext.c atk/atkhypertext.c
	atk/atkimage.c atk/atknoopobjectfactory.c atkobject.c 
	atk/atkstreamablecontent.c atk/atktext.c attk/atkvalue.c:
	Fix for bug #149990; patch from Kjartan Maraas.

2004-08-12  Kjartan Maraas  <kmaraas@gnome.org>
 
	* configure.in: Added nb to ALL_LINGUAS.

2004-08-09  Ankit Patel <ankit@redhat.com>

	* configure.in: Added "gu" to ALL_LINGUAS.

2004-07-28  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Increment version to 1.7.3 and interface age to 3.

	* ===== Released Version 1.7.3, interface age 3, binary age 703 ====

	* NEWS: Updated.
	
2004-07-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-sections.txt: Add entries to fix warning when generating
	documentation.

	* docs/tmpl/atkcomponent.sgml docs/tmpl/atkhyperlink.sgml 
	docs/tmpl/atkhypertext.sgml docs/tmpl/atkobject.sgml 
	docs/tmpl/atkrelation.sgml docs/tmpl/atkselection.sgml 
	docs/tmpl/atktable.sgml docs/tmpl/atktext.sgml: Changes to generated
	files.

2004-07-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released Version 1.7.2, interface age 2, binary age 702 ====

	* NEWS: Updated.
	
2004-07-20  Bill Haneman <bill.haneman@sun.com>

	* atk/atkobject.h, atkobject.c, atk-object-enum.c:
	Added ATK_ROLE_EMBEDDED, "embedded component", which is a 
	context hint for assistive technologies that the contained
	children share a context which differs from the embedding
	container.  Fixes bug #147989.

	* configure.in: Revved to 1.7.2.
	
2004-06-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkcomponent.h: Add definition for atk_rectangle_get_type
	and ATK_TYPE_RECTANGLE.
	* atk/atkcomponent.c (atk_component_base_init): Correct definition
	of "bounds-changed" signal.
	(atk_rectangle_copy): New function.
	(atk_rectangle_get_type): New function.

2004-06-08  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Increment version to 1.7.2 and interface age to 2.

2004-06-08  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released Version 1.7.1, interface age 1, binary age 701 ====

	* NEWS: Updated.
	
2004-06-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-sections.txt: Add AtkRectangle.

	* docs/tmpl/atkcomponent.sgml: Add description for bounds-changed
	signal.

2004-05-29  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "tk" to ALL_LINGUAS.

2004-05-18  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Allow locale dir not to be harcoded into binary.
	Fixes bug #128906.

2004-05-11  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Make extra_roles static.

	* atk/atkrelation.c: Make extra_names static.

	Fixes bug #142234.

	* atk/atkstate.h: Add clarification of state ATK_STATE_ENABLED to
	documentation.

2004-04-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Increment version to 1.7.1 and interface age to 1.

2004-04-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released Version 1.7.0, interface age 0, binary age 700 ====

	* NEWS: Updated.

2004-04-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Increment version to 1.7.0.

	* atk/atkcomponent.[ch]: Add new signal "bounds_changed". 
	* docs/tmpl/atkcomponent.sgml: Add new signal "bounds_changed".

	Fixes bug #140476.

	* atk/atkrelationtype.h: Add new relation ATK_RELATION_PARENT_WINDOW_OF.
	* atk/atkstate.h: Add new state ATK_STATE_TRUNCATED.
	* docs/tmpl/atkrelation.sgml: Add new relation 
	* docs/tmpl/atkstate.sgml: Add new state ATK_STATE_TRUNCATED 
	 
	Fixes bug #133375.

	* atk/atktext.c: Make extra_attributes static.

2004-04-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.6.1=====

	* configure.in: Version 1.6.1, interface age 1, binary age 601

	* NEWS: Updated.

	* README: Fix typo.

2004-04-08  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004.04.02  IÃ±aki LarraÃ±aga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-03-29  Manish Singh  <yosh@gimp.org>

	* autogen.sh: use $ACLOCAL instead of aclocal-1.4 for --print-ac-dir.

2004-03-23  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-23  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Walloon (wa) to ALL_LINGUAS

2004-03-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in:
	* atk/Makefile.am: Update to build on Cygwin. Fixes bug #137666.
	 Patch from Roger Leigh.
	
2004-03-18  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "mr" for Marathi to ALL_LINGUAS.

2004-03-08  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.6.0=====

	* configure.in: Version 1.6.0, interface age 0, binary age 600

	* NEWS: Updated.

2004-03-07  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr@ije" to ALL_LINGAUS.

Mon Mar  1 20:32:06 2004  Tim Janik  <timj@gtk.org>

        * autogen.sh:
        - exit with $? instead of 1 in case of failure
        - exit with $? if ./configure failed
          (that's so autogen.sh && make lines work)
        - removed --enable-gtk-doc option
        - added $AUTOGEN_CONFIGURE_ARGS

2004-03-01  Tor Lillqvist  <tml@iki.fi>

	* atk/atk.def: Add some missing entries.

2004-02-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.5.5=====
	
	* configure.in: Version 1.5.5, interface age 4, binary age 505

	* NEWS: Updated.

2004-02-20  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.5.4=====
	
	* configure.in: Version 1.5.4, interface age 3, binary age 504

	* NEWS: Updated.

2004-02-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.5.3=====
	
	* configure.in: Version 1.5.3, interface age 2, binary age 503

	* NEWS: Updated.

2004-02-01  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-01-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Revise property name. Fixes bug #130022 from
	Christian - Manny Calavera - Neumair.

2004-01-23  Manish Singh  <yosh@gimp.org>

	* Makefile.am: remove trailing backslash from last line of
	DISTCLEANFILES. 

2004-01-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk-uninstalled.pc.in: Correct library name. Fixes bug #132283,
	from laszlo.peter@ireland.sun.com.

	* Makefile.am: Add DISTCLEANFILES.

2004-01-12  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.5.2=====
	
	* configure.in: Version 1.5.2, interface age 1, binary age 502

	* NEWS: Updated.

2004-01-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Move specification of ALL_LINGUAS to later in file
	so that CATOBJEXT is defined correctly.
	Use ATK_LOCALEDIR instead of atklocaledir.

	* atk/Makefile.am: Remove definition of ATKLOCALEDIR.

	* atk/atkobject.c: Use ATK_LOCALEDIR instead of ATKLOCALEDIR.

	* docs/tmpl/atkhyperlink.sgml: Add text for link-activated signal.

2004-01-02  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c (atk_text_free_ranges): Fix segfault (bug #129837)
	Patch provided by Jeff Franks.

2003-12-17  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Change "accel label" to "accelerator label".
	Fixes bug #129499.

2003-12-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.5.1=====
	
	* configure.in: Version 1.5.1, interface age 0, binary age 501

	* NEWS: Updated.

2003-12-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[ch]: Add new role ATK_ROLE_EDITBAR. Fixes bug #116007.

	* atk/docs/tmpl/atkhyperlink.sgml: Add references to new signals and 
	properties

	* atk/docs/tmpl/atkobject.sgml: Add references to new property and role

2003-12-01  Michael Natterer  <mitch@gimp.org>

	* atk/atkobject.c (atk_object_real_get_property): fix typo:
	s/g_value_set_set/g_value_set_int/.

2003-12-01  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: (atk_object_class_init): Make nicks and blurbs of
	properties translatable. Add new property "accessible-hypertext-nlinks".
	(atk_object_real_get_property): Add support for new property
	"accessible-hypertext-nlinks".

	* atk/atkhyperlink.h: Remove unnecessary comments. Add signal
	link_activated.

	* atk/atkhyperlink.c: Add signals link_activated and new properties
	"number-of-anchors", "end-index" and "start-index".

	This fixes bug #112390.

2003-11-29  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "af" to ALL_LINGUAS.

2003-11-26  Padraig O'Briain  <padraig.obriain@sun.com>

        * atk/atkobject.c (atk_object_real_ref_state_set): Add state FOCUSED
        if object is focus object.

        * atk/atkutil.[ch] (atk_get_focus_object): New function which returns
        the last object reported by the application as focused.

        * docs/atk-sections.txt, docs/tmpl/atkutil.sgml:
        Add atk_get_focus_object.

	Fixes bug #127400.

2003-11-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Change role names so that the unlocalized names
	do not contain hyphens and match the Java role names. Fixes bug #125024.

2003-11-24  Padraig O'Briain  <padraig.obriain@sun.com>

	*  docs/tmpl/atkhyperlink.sgml, docs/tmp/atkhypertext.sgml,
	docs/tmpl/atkobject.sgml, docs/tmpl/atkrelatiom.sgml,
	docs/tmpl/atkselection.sgml, docs/tmpl/atktable.sgml,
	docs/tmpl/atktext.sgml: Regenerate these files. The location of
	signal information has changed.

2003-11-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.5.0=====
	
	* configure.in: Version 1.5.0, interface age 0, binary age 500

	* NEWS: Updated.

2003-11-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkrelation.c: Use weak references for objects in a relation
	instead of object references so that objects are not leaked when
	corresponding widgets are destroyed.

	This fixes bug #125725.
	
2003-10-31  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Add reference to docs/version.xml

	Should have been done in previous commit but was omitted.
	Fixes build break reported in bugs #1258548 and #125902.

2003-10-29  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Add reference to docs/version.xml

	* docs/Makefile.am: Add references to version.xml.in and version.xml

	* docs/atk-docs.sgml: Add reference to version.xml

	* docs/version.xml.in: New file.

	This fixes bug #125758.
	
2003-10-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkrelation.c (atk_relation_new): Fix memory leak. (bug #124877)

2003-10-09  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.4.1=====
	
	* configure.in: Version 1.4.1, interface age 1, binary age 401

	* NEWS: Updated.

2003-09-28  Gediminas Paulauskas  <menesis@delfi.lt>

	* configure.in: Added lt to ALL_LINGUAS.

2003-09-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk.spec.in: Correct typo. Fix provided by Scott Kennedy.
	This fixes bug #121990.

2003-09-21  Ãsmund SkjÃ¦veland  <aasmunds@fys.uio.no>
 
        * configure.in: Added Norwegian (nynorsk) code
        nn to ALL_LINGUAS.

2003-09-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Remove comments about signals. The description
	should be in files in docs/tmpl directory.

	* docs/tmpl/atkhypertext.sgml: Add description for link-selected signal.
	* docs/tmpl/atkobject.sgml:  Add descriptions for 
	active-descendant-changed, children-changed, focus-event, 
	property-change, state-change and visible-data-changed signals.
	* docs/tmpl/atkselection.sgml: Add description for selection-changed
	signal.
	* docs/tmpl/atktable.sgml: Add descriptions for column-deleted,
	columnn-inserted, column-reordered, model-changed, row-deleted, 
	row-inserted and  row-reordered signals.
	* docs/tmpl/atktext.sgml: Add description for text-attributes-changed,
	text-caret-moved, text-changed and text-selection-changed signals.

	This fixes bug #121163.

2003-09-02  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.4.0=====

	* configure.in: Version 1.4.0, interface age 0, binary age 400

	* NEWS: Updated.

2003-08-28  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ne" to ALL_LINGUAS.

2003-08-25  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.6=====

	* configure.in: Version 1.3.6, interface age 2, binary age 306

	* NEWS: Updated.

2003-08-08  Malcolm Tredinnick <malcolm@commsecure.com.au>
	
	* autogen.sh: Clarify an error message.

2003-08-08  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" in ALL_LINGUAS.

2003-08-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.5=====

	* configure.in: Version 1.3.5, interface age 1, binary age 305

	* NEWS: Updated.

2003-08-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* Remove po/Makefile.in.in. This fixes bug #119053.

2003-07-08  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktable.c (atk_table_ref_at): Ensure that row and column values 
	are non-negative.

	This is a partial fix for bug #116712.

2003-07-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkstateset.c (atk_state_set_is_empty): Correct return value.
	Fixes bug #116621. Problem reported by Mario Lang.

2003-06-25  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: (Re-?)added "ta" (Tamil) to languages' list.

2003-06-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk.spec.in:
	Added locale directory to spec file. Fix provided by
	James T. Richardson, Jr.

2003-06-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.4=====

	* NEWS: Updated.

2003-06-13  Tor Lillqvist  <tml@iki.fi>

	* atk/atkobject.c (atk_role_get_localized_name): Set
	gettext_initialized.

	* atk-zip.sh.in (DEVZIP): libtool 1.5 installs DLLs in the bin
	directory, so look there, too. Include the message catalogs.

2003-06-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Version 1.3.4, interface age 0, binary age 304

	* atkrelationtype.h, docs/tmpl/atkrelation.sgml: Add new relation
	ATK_RELATION_POPUP.

2003-06-05  Paul Duffy <dubhthach@frink.nuigalway.ie>

        * configure.in: Added ga (irish) to ALL_LINGUAS
	 
2003-06-05  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added li to ALL_LINGUAS.

2003-05-30  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.3=====

	* configure.in: Version 1.3.3, interface age 3, binary age 303

	* NEWS: Updated.

2003-05-28  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.h docs/tmpl/atkobject.sgml: Add new role
	ATK_ROLE_AUTOCOMPLETE.

2003-05-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkstate.h, docs/tmpl/atkstate.sgml: Add state 
	ATK_STATE_INDETERMINATE. This state is used by Oo for check buttons
	which can have a value other than on or off.

2003-05-19 Arafat Medini <lumina@silverpen.de>

	*configure.in: Added "ar" (Arabic) to ALL_LINGUAS

2003-05-16  Telsa Gwymme  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS

2003-05-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.2=====

	* configure.in: Version 1.3.2, interface age 2, binary age 302

	* NEWS: Updated.

2003-05-09  SamÃºel JÃ³n Gunnarsson  <sammi@techattack.nu>

	* is.po: Added "is" into ALL_LINGUAS.

2003-05-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Make message when pkg-config fails to find glib-2.0.pc
	less cryptic.

	* po/pl.po: Updated Polish translation from Artur Flinta.

2003-05-05  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2003-05-05  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sr and sr@Latn to ALL_LINGUAS.

2003-05-01  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.1=====

	* configure.in: Version 1.3.1, interface age 1, binary age 301

	* NEWS: Updated.

	* po/yi.po: Update line numbers.

2003-04-25  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/stateset.h: Fix typo in documentation.

	* autogen.sh (have_libtool): Accept libtool-1.5. (#111481)
	Patch provided by Ali Akcaagac.

2003-03-26  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "yi" to ALL_LINGUAS.

2003-03-21  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added Japanese 'ja' into ALL_LINGUAS.

2003-03-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.3.0=====

	* configure.in: Version 1.3.0, interface age 0, binary age 300

	* NEWS: Updated.

2003-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added Malayalam (ml) in ALL_LINGUAS

2003-03-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-sections.txt: Add 11 unused declarations.

2003-03-20  James Henstridge  <james@daa.com.au>
 
 	* autogen.sh: update to call automake-1.7, libtoolize, gtkdocize
 	and glib-gettextize.
 
 	* configure.in: cleanup to make use of newer autoconf/automake
 	features.
 
 	* Makefile.am: get rid of custom distcheck rule, which is no
 	longer necessary.
 
 	* atk/Makefile.am: cleanup makefile.  Use BUILT_SOURCES for built
 	sources.
 
 	* docs/Makefile.am: use common gtk-doc.make.
 
 	* docs/atk-docs.sgml: update to use gtk-doc's XML mode.
 
2003-03-16  Joel Brich <joel.brich@laposte.net>

	* configure.in: Added "eo" to ALL_LINGUAS
	* po/eo.po: Added Esperanto translation
	from Charles Voelger <cvoelger@dweasel.com>

2003-03-12  Tor Lillqvist  <tml@iki.fi>

	* atk/atk.def: Add one more missing export, thanks to Cedric
	Gustin.

2003-03-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c (atk_object_set_role): Add check that role is
	actually being changed. Do not emit notification for initial
	role setting. (bug #107710)

2003-03-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkrelationset.c: Current returning of FALSE to 0 in function 
	which returns integer; (bug #107661) reported by Morten Welinder.

2003-03-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atk-relation.c
	atk/atkrelationset.c
	atk/atkstatset.c: Correct returning of FALSE to NULL in functions
	which return pointer; (bug #107650) reported by Morten Welinder.

2003-02-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* test/Makefile.am: Update to produce .so files
	(Problem reported and solution reported by Michael.Wilson@bull.net)

2003-02-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkgobjectaccessible.c (atk_gobject_accessible_from_object):
	Correct creation of non-AtkGObjectAccessible (bug #107124)

	* atk/atkobject.c (atk_object_class_init): Set default initialize 
	function so that code which does not check for existence of parent 
	class's initialize function will work.

	* atk/atkvalue.c: (atk_value_get_minimum_value, 
	atk_value_get_maximum_value, atk_value_get_current_value):
	Reset Value argument if it is a valid GValue otherwise zeroise it.

	docs/tmpl/atkhypertext.sgml: Add link-selected signal.

2003-02-25  Tor Lillqvist  <tml@iki.fi>

	* Makefile.am (EXTRA_DIST): Dist atk-zip.sh.in, not atk-zip.sh.

	* atk/atk.def: Add a couple of missing entries, thanks to Cedric
	Gustin.

	* atk/atk.rc.in: New file, for version info in the DLL on
	Windows. Similar as in GLib, GTK, etc.

	* configure.in: Generate atk/atk.rc.
	
	* atk/Makefile.am: Use atk.rc on Windows.
	(EXTRA_DIST): Distribute atk.rc(.in).

	* atk/atkobject.c: On Windows, don't use hardcoded ATKLOCALEDIR,
	but deduce it from DLL location, like GLib, GTK etc do.

2003-02-23  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "mk" to ALL_LINGUAS.

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-21  Metin Amiroff  <metin@karegen.com>

	* configure.in: Added Azerbaijanian to ALL_LINGUAS.

2003-02-19  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-02-14  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atknoopobject.c: Add AtkHypertext interface as this object should
	claim to implement all interfaces.

2003-02-12  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkhyperlink.c (atk_hyperlink_class_init): Correct typo in blurb

	* atk/atkhypertext.c
	(atk_hypertext_get_link): Add check on link_index value
	(atk_hypertext_get_link_index): Add check on char_index value

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-07  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-02-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkgobjectaccessible.c (atk_gobject_accessible_for_object):
	Add weak reference so we do not leak the accessible when the object
	dies. Problem reported by Alex Larsson.

2003-02-02  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" (Turkish) to the languages' list.

2003-01-30  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkhyperlink.[ch]
	New property selected-link defined.
	Function pointer is_selected_link added to interface
	(atk_hyperlink_is_selected_link: New functions which checks
	whether the specified AtkHyperlink is selected
	
	* atk/atkhypertext.[ch]
	New signal link-selected added.

	* docs/atk-sections.txt: Add atk_hyperlink_is_selected_link

	* docs/tmpl/atkhyperlink.sgml: Add reference to property selected-link
	and function atk_hyperlink_is_selected_link.

	This fixes bug #104621.
	
Tue Jan 28 13:52:20 2003  Manish Singh  <yosh@gimp.org>

	* autogen.sh (have_automake): call the versioned automake when
	checking the version itself.

Tue Jan 28 15:18:24 2003  Owen Taylor  <otaylor@redhat.com>

	* autogen.sh (have_automake): Fix version in complaint
	message about automake. (#104366, Rich Burridge)

2003-01-26  Daniel Yacob <locales@geez.org>

	* configure.in: Added am to ALL_LINGUAS.

2003-01-23  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.

2003-01-23  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" (traditional Chinese) to ALL_LINGUAS.

2003-01-23  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* configure.in: Added "pt_BR" to ALL_LINGUAS.

2003-01-22  Marius Andreiana <marius galuna.ro>

	* configure.in: added 'ro' to ALL_LINGUAS

2003-01-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-21  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c
	(atk_text_base_init): Set vtable entry for default implementations
	(atk_text_get_range_extents): Omit calling default implementation
	(atk_text_get_bounded_ranges): Omit calling default implementation

	* atk/atkcomponent.c
	(atk_component_base_init): New function to set vtable entry for 
	default implementations
	(atk_component_ref_accessible_at_point): Omit calling default 
	implementation
	(atk_component_contains): Omit calling default implementation
	(atk_component_get_position): Omit calling default implementation
	(atk_component_get_size): Omit calling default implementation

2003-01-21  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c 
	(atk_object_real_set_property): Add support for PROP_TABLE_SUMMARY 
	and PROP_TABLE_CAPTION_OBJECT.
	(atk_object_real_get_property): Add support for PROP_TABLE_SUMMARY 
	and PROP_TABLE_CAPTION_OBJECT.

	This completes ATK changes for bug #74814.

2003-01-21  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Add property accessible-table-caption-object.
	This addresses bug #74814.

	* atk/atkobject.h: Move some documentation from template file to
	avoid warnings when building.

	* atk/atkrelation.c: Add new properties relation and target.
	This addresses bug #72426.

	* atktext.[ch]: Add new functions atk_text_get_range_extents and
	atk_text_get_bounded_ranges.
	Also added data structures AtkTextRectangle and AtkTextRange, enum
	AtkTextClipType and helper function  atk_text_free_ranges.
	This addresses bug #100943.
	(atk_text_get_character_extents): Ensure that the reported width is 
	not negative. This fixes bug #102954)

	* docs/atk-sections.txt: Add new functions and data items.

	* docs/tmpl/atk-object.sgml: Remove some documentation and put in 
	atkobject.h. Add reference to accessible-table-caption-object.

	* docs/tmpl/atk-relation.sgml: Add new properties

	* docs/tmpl/atktext.sgml: Add new functions and data items.


2003-01-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.2.2=====

	* configure.in: Version 1.2.2, interface age 2, binary age 202

	* NEWS: Updated.

2003-01-19  He Qiangqiang  <carton@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2003-01-12  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added 'sq'(albanian) to ALL_LINGUAS.

2003-01-11  Pauli Virtanen  <pauli.virtanen@hut.fi>

	* configure.in (ALL_LINGUAS): Added "fi" (Finnish)

2003-01-06  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in (ALL_LINGUAS): Added "it" (Italian) 

2003-01-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Add -with-html-dir option. (bug #102497)

	* docs/Makefile.am: Remove INSTALLDIR and HTML_DIR

	* docs/tmpl/atkobject.sgml: Update so property names are in
	alphabetic order.

2003-01-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.2.1=====
	
	* configure.in: Version 1.2.1, interface age 1, binary age 201

	* NEWS: Updated.

2003-01-02  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-12-23  Nam SungHyun  <namsh@kldp.org>

	* configure.in: Added Korean (ko) to ALL_LINGUAS

2002-12-22  Artis Trops  <hornet@navigator.lv>

	* configure.in: Added Latvian (lv) to ALL_LINGUAS.

2002-12-22  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in (ALL_LINGUAS): added French (fr).

2002-12-21  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): added Catalan (ca).

2002-12-20  Padraig O'Briain  <padraig.obriain@sun.com>

        * ===== Released 1.2.0 ======

	* configure.in: Version 1.2.0, interface age 0, binary age 200

	* NEWS: Final update for 1.2.0.

	* docs/tmpl/atkobject.sgml: Order of properties have been changed.

2002-12-18  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Russian to ALL_LINGUAS.

2002-12-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.1.5=====
	
	* configure.in: Version 1.1.5, interface age 2, binary age 105

	* NEWS: Updated.

2002-12-13  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c (atk_text_get_caret_offset): Return 0 instead of -1
	if caret is not supported. This addresses bug #101020.

	* configure.in: Use third argument of AC_DEFINE to get rid of 
	acconfig.h. 

Thu Dec 12 14:57:20 2002  Owen Taylor  <otaylor@redhat.com>

	* acinclude.m4: Remove; wasn't needed, and referred
	to GLib internal m4 files now gone.

Thu Dec 12 11:04:05 2002  Manish Singh  <yosh@gimp.org>

	* configure.in: Require autoconf-2.53.

2002-12-12  Yanko Kaneti  <yaneti@declera.com>

	* configure.in (ALL_LINGUAS): Added Bulgarian (bg).

2002-12-11  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): Added Vietnamese (vi), Hebrew (he),
	and Dutch (nl).

2002-12-07  Andras Timar <timar@gnome.hu>

	* configure.in (ALL_LINGUAS): Added Hungarian (hu).

2002-12-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.1.4 =====
	
	* configure.in: Version 1.1.1, interface age 1, binary age 104

	* NEWS: Updated.

2002-12-05  Ole Laursen  <olau@hardworking.dk>

	* configure.in (ALL_LINGUAS): Added Danish (da).

2002-12-02  Pablo Gonzalo del Campo <pablodc@bigfoot.com>

	* configure.in (ALL_LINGUAS): Added Spanish (es).

2002-12-01  Christian Neumair  <chris@gnome-de.org>

	* configure.in (ALL_LINGUAS): Added German (de).

2002-11-22  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in (ALL_LINGUAS): Added "no".
	
2002-11-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* Update NEWS for 1.1.3

2002-11-21  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Update to take account of gtk-doc-version being 0.10
	Updated version required to 0.9

2002-11-20  Bill Haneman <bill.haneman@sun.com>

	* atk/atkobject.h:
	Added ATK_ROLE_APPLICATION.

	* atk/atkobject.c:
	(atk_role_get_localized_name):
	Added ATK_ROLE_APPLICATION case.	

	* docs/atk-decl.txt:
	Added ATK_ROLE_APPLICATION to docs.
	
2002-11-18  Abi Brady  <morwen@evilmagic.org>

	* configure.in: Added "en_GB" to ALL_LINGUAS.

2002-11-15  Hasbullah BIn Pit <sebol@ikhlas.com>

        * configure.in: Added "ms" to ALL_LINGUAS.

2002-11-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* Update NEWS for 1.1.2

	* docs/tmpl/atkhyperlink.sgml docs/tmpl/atkobject.sgml
	Update docs.

2002-11-14  Bill Haneman <bill.haneman@sun.com>

	* configure.in:
	Revved to 1.1.2, interface age 0, binary age 102.
	
	* atk/atkrelationtype.h:
	(ATK_RELATION_EMBEDS, ATK_RELATION_EMBEDDED_BY):
	New relations to handle content embedding, for instance
	text that embeds or flows around images.

	* atk/atkhyperlink.h:
	(atk_hyperlink_is_inline):
	New API, returns whether a hyperlink's content is
	partially displayed inline; useful for small images
	emedded in text, and for HTML <src> elements.
	(AtkHyperlinkClass->link_state):
	New virtualized method, used to implement various
	state query API such as atk_hyperlink_is_inline().

	* atk/atkhyperlink.c:
	(atk_hyperlink_is_inline):
	New method.

	* docs/atk-sections.txt: 
	Additions for above API.

2002-11-13  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[ch]: Add signal active-descendant-changed

2002-11-11  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

Fri Nov  8 19:55:25 2002  Soeren Sandmann  <sandmann@daimi.au.dk>

	* atk/atkhyperlink.c
	* atk/atkhyperlink.h
	* atk/atktable.c
	* atk/atktable.h
	* atk/atktext.c
	* atk/atktext.h
	* docs/tmpl/atkhyperlink.sgml
	* docs/tmpl/atkobject.sgml
	* docs/tmpl/atktable.sgml
	* docs/tmpl/atktext.sgml

	Trivial s/foo/foo_/ fixes to make atk.h includable with -Wshadow
	without warnings.
	
2002-11-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* autogen.sh: Add call to autoheader to create config.h.in

2002-11-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* acinclude.m4: New file

	* autogen.sh: Add i18n support (copied from gtk+).

	* configure.in: Add definition for atklocaledir and check for
	bind_textdomain_codeset()

	* atk/Makefile.am: Add DEfininition of ATKLOCALEDIR to INCLUDES

	* atk/atkobject.c (atk_role_get_localized_name): Add code to
	initialize i18n.
	
	* po/.cvsignore: Add extra files.

2002-11-01  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in: Create po/Makefile; patch supplied by 
	Dan Mills (thunder@ximain.com)
	
2002-10-31  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.1.1 =====
	
	* configure.in: Version 1.1.1, interface age 0, binary age 101

	* NEWS: Updated.

	* atk/Makefile.am: Add atkintl.h to EXTRA_DIST.

2002-10-30  Padraig O'Briain  <padraig.obriain@sun.com>

	* Makefile.am: Add po directory

	* configure.in: Add support for I18N

	* acconfig.h atk/atkintl.h: New files used to support I18N

	* atk/atkobject.c: Update atk_role_get_localized_name() to
	allow for localized name to be returned.

	* docs/Makefile.am: Add atkintl.h to IGNORE_HFILES

	* po/Makfile.in.in, po/POTFILES.in, po/po2tbl.sed.in po/.cvsignore
	po/ChangeLog: New files

2002-10-30  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/Makefile.am, atk/atk.h: Add reference to atk/atkrelationtype.h

	* atk/atkaction.[ch]: Add atk_action_get_localized_name.

	* atk/atkobject.[ch]: Add atk_role_get_localized_name,
	atk_object_add_relationship and atk_object_remove_relationship
	Add new roles ATK_ROLE_HEADER, ATK_ROLE_FOOTER, ATK_ROLE_PARAGRAPH
	and ATK_ROLE_RULER

	* atk/atkrelation.h: Move definition of AtkRelationType to
	atk/relationtype.h

	* atk/atkstate.h: Add new state ATK_STATE_MANAGES_DESCENDANTS

	* atk/atktext.[ch]: Add text-attributes-changed signal.

	* docs/atk-sections.txt, docs/tmpl/atkaction.sgml: Add new functions.

	* docs/tmpl/atkobject.sgml: Add new functions and new roles.

	* docs/tmpl/atkrelation.sgml: Add new relations

	* docs/tmpl/atkstate.sgml: Add new state

	* docs/tmpl/atktext.sgml: Add new signal

	* tests/testrelation.c: Add tests for new relationship functions.

2002-10-01  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c (atk_object_notify): Fix leak; report and patch
	supplied by Sebastian Rittau (srittau@jroger.in-berlin.de)

	Bug #94548.

2002-09-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* ===== Released 1.1.0 =====
	
	* NEWS: Updated.

2002-09-18  Padraig O'Briain  <padraig.obriain@sun.com>

	* configure.in:
	increment version to 1.1.0, in view of the fact that we've 
	branched for GNOME-2 and GTK+-2.0, and this is HEAD.
	Also reset INTERFACE_AGE to zero, since an enum was added.
	Use similar library numbering as GTK.

	* docs/tmpl/atkobject.sgml: Add ATK_LAYER_WINDOW

2002-09-06  Mark McLoughlin  <mark@skynet.ie>

	* atk/atkobject.h: add ATK_LAYER_WINDOW.

	* atk/atkcomponent.c: upd docs.

2002-09-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-sections.txt: Add ...Iface symbols to Standard sections to 
	avoid unused declarations

	* docs/tmpl/atkobject.sgml docs/tmpl/atkrelationset.sgml:
	Move AtkRelationSet from atkobject to atkrelationset.

2002-09-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-sections.txt docs/tmpl/atkaction.sgml
	docs/tmpl/atkcomponent.sgml docs/tmpl/atkdocument.sgml
	docs/tmpl/atkeditabletext.sgml docs/tmpl/atkhypertext.sgml
	docs/tmpl/atkimage.sgml docs/tmpl/atkobject.sgml
	docs/tmpl/atkselection.sgml docs/tmpl/atkstreamablecontent.sgml
	docs/tmpl/atktable.sgml docs/tmpl/atktext.sgml
	docs/tmpl/atkvalue.sgml:
	Remove reference to ...Iface data structures; which eliminates
	undocumented symbols.

2002-09-05  Padraig O'Briain  <padraig.obriain@sun.com>

	*  atk/atkutil.h: Add documentation for AtkKeyEventType

	* docs/tmpl/action.sgml docs/tmpl/atkcomponent.sgml
	docs/tmpl/atkdocument.sgml docs/tmpl/atkeditabletext.sgml
	docs/tmpl/atkgobjectaccessible.sgml docs/tmpl/atkhyperlink.sgml
	docs/tmpl/atkhypertext.sgml docs/tmpl/atkimage.sgml 
	docs/tmpl/atknoopobject.sgml docs/tmp[l/atknoopobjectfactory.sgml
	docs/tmpl/atkobject.sgml docs/tmpl/atkobjectfacory.sgml
	docs/tmpl/atkregistry.sgml docs/tmpl/atkrelation.sgml
	docs/tmpl/atkselection.sgml docs/tmpl/atkstate.sgml
	docs/tmpl/atkstreamablecontent.sgml docs/tmpl/atktable.sgml
	docs/tmpl/atktext.sml docs/tmpl/atkutil.sgml
	docs/tmpl/atkutil.sgml:
	Reduce number of undocumented symbols

2002-08-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atknoopobjectfactory.c:
	Add implementation for atk_object_factory_get_accessible_type()

2002-08-18  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
	both automake 1.6 and 1.4 installed get the right automake. Means
	compilation from CVS will now require the latest automake 1.4
	release, or manually creating symlinks called "automake-1.4" and
	"aclocal-1.4"

2002-08-16  Padraig O'Briain  <padraig.obriain@sun.com>

	These changes improve the quality of the documentation by adding
	information about properties and signals.

	* configure.in:
	Add atktargetlib, STRIP_BEGIN, STRIP_END and STRIP_DUMMY for
	use in docs Makefile.am

	* atk/atk.h:
	Add missing include files, atk/atknoopobject.h and 
	atknoopobjectfactory.h

	* docs/Makefile.am:
	Add support for scan program

	* docs/atk.types:
	Added content to this file

	* docs/tmpl/atkgobjectaccessible.sgml docs/tmpl/atkhyperlink.sgml
	docs/tmpl/atknoopobject.sgml docs/tmpl/atknoopobjectfactory.sgml
	docs/tmpl/atkobjectfactory.sgml docs/tmpl/atkregistry.sgml
	docs/tmplatkutil.sgml:
	Removed references to contents of object's data structure

	* docs/tmpl/atkobject.sgml docs/tmpl/atkselection.sgml
	docs/tmpl/atktable.sgml docs/tmpl/atktext.sgml:
	Add references to signals and properties.

Wed Jul 31 17:08:04 2002  Owen Taylor  <otaylor@redhat.com>

	* ===== Released 1.0.3 =====
	
	* configure.in (GLIB_REQUIRED_VERSION): Version 1.0.3,
	interface, binary version 3.

	* NEWS: Updated.

2002-07-14  Padraig O'Briain  <padraig.obriain@sun.com>

	* README: Updated to describe where to log bugs and mention mailing
	list.

2002-06-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkutil.h atk/docs/atk-docs.sgml atk/docs/tmpl/atk-component.sgml
	atk/docs/atkdocument.sgml atk/docs/tmpl/atkeditabletext.sgml
	atk/docs/tmpl/atkgobjectaccessible.sgml atk/docs/tmpl/atkhyperlink.sgml
	atk/docs/tmpl/atkhypertext.sgml atk/docs/tmpl/atkimage.sgml
	atk/docs/atknoopobject.sgml atk/docs/tmpl/atknoopobjectfactory.sgml
	atk/docs/tmpl/atkobjectfactory.sgml atk/docs/tmpl/atkregistry.sgml
	atk/docs/tmpl/atkregistry.sgml atk/docs/tmpl/atkrelationset.sgml
	atk/docs/tmpl/atkselection.sgml atk/docs/tmpl/atkstate.sgml
	atk/docs/tmpl/atkstateset.sgml atk/docs/tmpl/atkstreamablecontent.sgml
	atk/docs/tmpl/atktable.sgml atk/docs/tmpl/atktext.sgml
	atk/docs/tmpl/atkutil.sgml atk/docs/tmpl/atkvalue.sgml
	Update documentation.

2002-05-29  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkregistry.c:
	64 bit fixes for ATK. Patch supplied by George Lebl (jirka@5z.com)
	(bug #83316)

Thu Mar 28 18:27:32 2002  Owen Taylor  <otaylor@redhat.com>

	* ===== Released 1.0.2 ======

	* NEWS: Updates.

	* configure.in: Version 1.0.2, interface, binary age 2

2002-04-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkutil.c (atk_focus_tracker_notify):
	Allow for object being NULL which means the window containing the
	focus widget has lost focus. We update the previous_focus_object 
	so we can emit notification for focus widget when window regains
	focus.

2002-04-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkgobjectaccessible.c:
	(atk_gobject_accessible_for_object):  Allow for case where created
	AtkObject is not a AtkGObjectAccessible so quark_accessible_object
	was not initialized in atk_gobject_accessible_class_init

Thu Mar 28 18:27:32 2002  Owen Taylor  <otaylor@redhat.com>

	* ===== Released 1.0.1 ======

	* NEWS: Updates.

	* configure.in: Version 1.0.1, interface, binary age 1.0.0.

2002-03-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkutil.c (atk_focus_tracker_notify):
	Do not do notification if previously notified object is the same as
	this object

2002-03-14  Tor Lillqvist  <tml@iki.fi>

	* atk/Makefile.am: Use correct name for the DLL when generating
	the MSVC import library.

2002-03-13  Bill Haneman <bill.haneman@sun.com>

	* atk/atkutil.c (atk_object_get_root):
	Changed g_type_class_peek to g_type_class_ref,
	this seemed to be triggering a SEGV in some cases.


2002-03-12  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkgobjectaccessible.c (atk_gobject_accessible_dispose):
	Correct name of data set to NULL from quark_accessible_object to
	quark_object

2002-03-09  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkhyperlink.c (atk_hyperlink_get_type):
	Fix typo.

Thu Mar  7 23:52:51 2002  Owen Taylor  <otaylor@redhat.com>

        * ===== Released 1.0.0 ======

	* NEWS: Final update for 1.0.0.

	* README: Update the compilation instructions a bit.

2002-03-06  Tor Lillqvist  <tml@iki.fi>

	* atk-zip.sh.in
	* atk/Makefile.am: Use ATK_API_VERSION also in the Win32 import
	library names.

Tue Mar  5 16:54:21 2002  Owen Taylor  <otaylor@redhat.com>

        * ATK 1.0.0 rc1

	* tests/Makefile.am: Don't install libteststateset.la,
	libtestrelation.la. (#73655, James Henstridge)

	* autogen.sh: Add --enable-gtk-doc

	* configure.in: --disable-gtk-doc by default.

	* Makefile.am: Add a slightly modified distcheck rule
	that passes --enable-gtk-doc to the configure inside.
	(So that 'make dist' succeeds inside.)

Tue Mar  5 11:55:35 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Require GLib-2.0.0.

	* configure.in atk/Makefile.am tests/Makefile.am atk.pc.in:
	Switch over to the Glib/GTK+ versioning scheme.

2002-03-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c (atk_text_get_text):
	Permit end offset value of -1

2002-02-28  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkhypertext.h:
	Update comments

2002-02-28  Sven Neumann  <sven@gimp.org>

	* configure.in: beautified configure --help output.

2002-02-27  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkhypertext.h atk/atkhyperlink.h: 
	Add padding to class structures to allow for future expansion.

	* atk/atkdocument.h: 
	Add padding to class structures to allow for future expansion.

	* atk/atkobjectfactory.h atk/atkgobjectaccessible.h:
	Add padding to class structures to allow for future expansion.

Mon Feb 25 19:09:39 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Bail if AM_PATH_GLIB_2_0 fails.

2002-02-26  Tor Lillqvist  <tml@iki.fi>

	* atk/Makefile.am: Do use -no-undefined on Win32, otherwise
	libtool won't create a DLL.

2002-02-25  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/Makefile.am:
	Remove -no-undefined because of problems with uunresolved symbols
	in libgobject on Solaris when using gcc

Sat Feb 23 23:02:23 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Version 0.13

	* NEWS: Update for 0.13

	* docs/atk-sections.txt: Update.

2002-02-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkgobjectaccessible.c atk/atkhyperlink.c atk/atknoopobject.c
	atk/atknoopobjectfactory.c atkobject.c atk/atkobjectfactory.c
	atk/atkregistry.c atk/atkrelation.c atk/atkrelationset.c:
	Make use of parent_class consistent; define as gpointer and
	use g_type_class_peek_parent() to get it

	* atk/atktext.c:
	Delete unused empty line

	* atk/atkregistry.c atk/atkrelation.c:
	Make parent_class static 

2002-02-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c:
	Add check for offset being negative in functions which have offset
	parameter and return immediately if so.

2002-02-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkcomponent.h:
	Change argument of get_layer and get_mdi_zorder function pointers 
	to be AtkComponent instead of AtkObject

	* atk/atkcomponent.c:
	Change atk_component_get_layer and atk_component_get_mdi_zorder
	to refer to argument as component instead os accessible

	* docs/atk-sections.txt docs/tmpl/atkaction.sgml 
	docs/tmpl/atkcomponent.sgml docs/tmpl/atkeditabletext.sgml
	docs/tmpl/atkimage.sgml docs/tmpl/atkobject.sgml 
	docs/tmpl/atkselection.sgml docs/tmpl/atkstreamablecontent.sgml
	docs/tmpl/atktable.sgml docs/tmpl/atktext.sgml docs/tmpl/atkvalue.sgml:
	Update for recent changes
	
2002-02-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atk.h:
	Guard atk.h with ifndef __ATK_H__
	(#71405 reported by terra@diku.dk (Morten Welinder))

2002-02-13  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkaction.h atk/atkcomponent.h atk/atkeditabletext.h
	atk/atkhyperlink.h atk/atkimage.h atk/atkobject.h 
	atk/atkrelationset.h atk/atkselection.h atk/atkstreamablecontent.h
	atk/atktable.h atk/atktext.h atk/atkvalue.h:
	Add padding to class structures to allow for future expansion.

2002-02-11  Bill Haneman  <bill.haneman@sun.com>

	* configure.in:
	Incremented revision and tagged GNOME_D2_BETA.

	* atkobject.h: 
	Marked atk_object_get_layer and atk_object_get_mdi_zorder
	as deprecated (should use atk_component API below).
	
	* atkcomponent.h:
	Added atk_component_get_layer and atk_component_get_mdi_zorder
	(erroneously defined in atkobject, they belong here).

	* atkcomponent.c:
	Fixed some property get/set bugs.

	* NEWS: updated for GNOME 2 Desktop Beta.
	
2002-02-11  jacob berkman  <jacob@ximian.com>

	* atk/atkselection.[ch] (atk_selection_get_type): 
	* atk/atktable.[ch] (atk_table_get_type): 
	* atk/atkregistry.h (atk_get_default_registry): 
	* atk/atknoopobjectfactory.[ch] (atk_no_op_object_factory_get_type): 
	* atk/atkobjectfactory.[ch] (atk_object_factory_get_type): 
	* atk/atkcomponent.[ch] (atk_component_get_type): 
	* atk/atkaction.[ch] (atk_action_get_type): declare function
	arguments as (void) rather than ()

2002-02-04  Bill Haneman  <bill.haneman@sun.com>

	* configure.in:
	Incremented revision.

2002-01-30  Bill Haneman  <bill.haneman@sun.com>

	* docs/tmpl/atkaction.sgml:
	* docs/tmpl/atkcomponent.sgml:
	* docs/tmpl/atkeditabletext.sgml:
	* docs/tmpl/atkimage.sgml:
	* docs/tmpl/atkobject.sgml:
	* docs/tmpl/atkselection.sgml:
	* docs/tmpl/atktable.sgml:
	* docs/tmpl/atktext.sgml:
	* docs/tmpl/atkvalue.sgml:
	Initial entries into the SHORT_DESCRIPTION and LONG_DESCRIPTION
	fields to improve docs; the documentation now gives some
	information on the purpose and function of the various ATK
	interfaces, and which types of UI components typically implement
	which interfaces.
	
Tue Jan 29 23:29:46 2002  Owen Taylor  <otaylor@redhat.com>

	* NEWS: Retroactively write a NEWS entry for 0.9 and 0.10.

2002-01-28  Padraig O'Briain  <padraig.obriain@sun.com>

       * configure.in:
       Update version number to 0.10, for Desktop Alpha 2

2002-01-28  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.h:
	Correct inconsistencies between registered signal parameter types 
	and default signal handler struct fields
	(based on patch from Murray Cumming <murray@usa.net>)

2002-01-10  Bill Haneman <bill.haneman@sun.com>

       * configure.in:
       Update version number to 0.9, for Beta2 package.

Wed Jan  9 11:26:56 2002  Owen Taylor  <otaylor@redhat.com>

	* atk/Makefile.am (s-enum-types-h):  Include glib-object.h,
	Add G_BEGIN_DECLS/END_DECLS to atk-enum-types.h. (#61845,
	Mikael Hermansson)

2002-01-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkcomponent.c (atk_component_add_focus_handler):
	Add comments to clarify behavior if handler has already been added

	* docs/tmpl/atktext.sgml:
	Update for change of caret_changed to text_caret_moved

2002-01-05  Hans Breuer  <hans@breuer.org>

	* atk/makefile.msc : generate atk-enum-types.[hc]
	NOTE: the long comment in atkobject.h is crashing perl,
	at least version 5.005_02 built for MSWin32-x86-object
	Binary build 506 provided by ActiveState. Temporary
	deleting the AtkRole comment allows to work-around.

	atk/atk.def : updated externals

2002-01-02  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkgobjectaccessible.h
	Fixed typo in define (reported by Jeff Franks)

	* atk/atktext.c atk/atktext.h
	Change name of default signal handler for text_caret_moved signal
	from caret_changed to text_caret_moved
	Change enum CARET_MOVED to TEXT_CARET_MOVED
	(both issues reported by Jeff Franks)

2001-12-15  Michael Meeks  <michael@ximian.com>

	* atk/atkrelation.c (atk_relation_class_init):
	setup parent class
	(atk_relation_finalize): chain to parent.

	* atk/atkrelationset.c (atk_relation_set_class_init),
	(atk_relation_set_finalize): same fix.

Sat Dec 22 12:26:51 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Version 0.8, require GLib-1.3.12

	* atk/makefile.msc (PKG_VER): Version 0.8.

Thu Dec 20 00:33:47 2001  Owen Taylor  <otaylor@redhat.com>

	* atk/Makefile.am (EXTRA_DIST): Set GPATH - necessary
	for correct srcdir != builddir operation when 
	generating source files in srcdir.
	
Thu Dec 20 00:27:01 2001  Owen Taylor  <otaylor@redhat.com>

	* docs/tmpl/atkutil.sgml: remove some conflict
	indicators.

2001-12-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atk.def:
	Add new functions

2001-12-19  Padraig O'Briain  <padraig.obriain@sun.com>

	Add new files atk/atkgobjectaccessible.c atk/atkgobjectaccessible.h
	docs/tmpl/atkgobjectaccessible.sgml

	* atk/Makefile.am atk/atk.h:
	Add references to new files

	* atk/atkobject.c atk/atkobject.h
	docs/tmpl/atkobject.sgml:
	Add new function atk_object_initialize

	* atk/atkobjectfactory.c atk/atkobjectfactory.h
	docs/tmpl/atkobjectfactory.sgml:
	Add new function atk_object_factory_get_accessible_type

	* docs/atk-sections.txt:
	Add new functions.
	Add functions in atk-unused.txt

	
2001-12-17  Darin Adler  <darin@bentspoon.com>

	* atk/atktext.c: Add missing #include <string.h>

2001-12-13  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* atk/Makefile.am, tests/Makefile.am: Compile with
	-DG_DISABLE_DEPRECATED. See #52790.

2001-12-11  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkcomponent.c (atk_component_ref_accessible_at_position):
	Remove unnecessary g_retunn_val_if_fail() call.

2001-12-08  Michael Meeks  <michael@ximian.com>

	* atk/atkregistry.c (atk_registry_class_init):
	paranoia is not appropriate here, setup parent_class,
	don't create a new default registry here - makes no
	sense.
	(atk_registry_finalize): chain to parent class, do
	g_hash_table_destroys instead of g_frees.

2001-12-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/Makefile.am:
	Update to create atk-enum-types.h before compiling source files
	(Problem reported by xavier ordoquy <xordoquy@aurora-linux.com>)

2001-12-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atk.def atk/atktext.c atk/atktext.h docs/atk-sections.txt 
	docs/tmpl/atktext.sgml tests/testrelation.c:
	Change atk_attribute_register to atk_text_attribute_register,
	atk_attribute_get_value to atk_text_attribute_get_value,
	atk_attribute_get_name to atk_text_attribute_get_name
	atk_attribute_for_name to atk_text_attribuute_for_name

2001-12-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c:
	Add implementation of atk_attribute_register, atk_attribute_for_name
	Udate atk_attribute_get_name to use ATK_TYPE_TEXT__ATTRIBUTE and
	support extra attributes being defined

	* atk/atktext.h:
	Add ATK_TEXT_ATTR_INVALID and ATK_TEXT_ATTR_LAST_DEFINED to allow
	extra attributes to be defined
	Add atk_attribute_register() and atk_attribute_for_name()

	* atk/atk.def:
	Add new functions

	* docs/atk-sections.txt docs/tmpl/atktext.sgml
	Update because of additions to atk/atktext.h

	* tests/testrelation.c:
	Add tests for text attributes

2001-12-04  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c:
	Update atk_role_register() to allow extra roles to be defined
	Update atk_role_get_name() and atk_role_for_name() for newly defined
	roles

	* tests/testrelation.c:
	Add tests for roles

2001-12-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkrelation.c:
	Use ATK_TYPE_RELATION_TYPE in atk_relation_type_get_name() and
	atk_relation_type_for_name()

	* atk/atkstate.c:
	Use ATK_TYPE_STATE_TYPE in atk_state_type_get_name() and
	atk_state_type_for_name()

	* tests/testrelation.c, tests/teststateset.c:
	Update tests as name componenets are separated by hyphen (-) rather
	than underline (_)

2001-11-29  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/Makefile.am:
	Generate files atk-enum-types.c and atk-enums-types.h to create
	types for enums.

	* atk/atkobject.c:
	Use ATK_TYPE_ROLE in atk_role_get_name() and atk_role_for_name()

2001-11-28  Bill Haneman  <bill.haneman@sun.com>

	* atk/atkutil.c:
	Changed calls to g_type_class_peek() to g_type_class_ref() where
	it makes more sense, and in other places check for a non-null
	klass return before trying to call class methods.  This prevents
	SEGV if no Atk-implementation library has been loaded.

	* atk/atkobject.c:
	Fixed gtk-doc warning.

2001-11-28  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|h]:
	Add functions atk_role_get_name() and atk_role_for_name() which
	transform a role into an untranslated string
	Update comments in atkobject.h which refer to property names

	* atk/atkrelation.c:
	Correct error in atk_relation_type_get_name

	* docs/atk-sections.txt
	Added atk_role_get_name and atk_role_for_name

	* docs/tmpl/*sgml
	Updated files
	
2001-11-23  Hans Breuer  <hans@breuer.org>

	* atk/atk.def : updated externals

	* atk/atktext.c atk/atkutil.c : added two spaces to fix
	minor coding style issues. Found by my exports generator.

	* atk/makefile.msc : version 0.7, use build dir from
	$(TOP)\glib

Thu Nov 22 14:37:40 2001  Owen Taylor  <otaylor@redhat.com>

	* Version 0.7

	* configure.in (GLIB_REQUIRED_VERSION): Require GLib-1.3.11

2001-11-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atknoopobject.c:
	Specify role as ATK_ROLE_INVALID and layer as ATK_LAYER_INVALID
	when creating object

2001-11-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atk.def, atk/atkrelationtype.h, docs/atk-sections.txt,
	docs/tmpl/atkrelation.sgml:
	Change atk_relation_type_from_string to atk_relation_type_for_name
	Add atk_relation_type_get_name

	* atk/atkrelationtype.c:
	Change atk_relation_type_from_string to atk_relation_type_for_name
	Add atk_relation_type_get_name
	Update atk_relation_type_register() to correctly register new
	relation types

	* atk/atkstate.c:
	Changed name of static variable type to last_type
	Changed name of paremeter if atk_state_type_get_name to type to match
	comments

	* docs/tmpl/*sgml
	Updated files

	* tests/README, tests/Makefile.am	
	Add new test file testrelation.c

2001-11-22  Bill Haneman <bill.haneman@sun.com>

	* atk/atkutil.c (atk_add_key_event_listener):
	Fix gtk-doc comment and clarify use of 'data' gpointer.

2001-11-22  Michael Meeks  <michael@ximian.com>

	* atk/atkutil.c (atk_add_key_event_listener): switch
	to class_peek.

	* atk/atkobject.c (atk_object_real_get_property):
	add missing 'break'.

2001-11-21  Michael Meeks  <michael@ximian.com>

	* atk/atkrelation.c: pull in string.h for strcmp

	* atk/atktext.c (atk_text_get_selection): fix bug / warning.

	* atk/atkutil.c (atk_add_global_event_listener),
	(atk_get_toolkit_name, atk_get_toolkit_version):
	constify 

2001-11-21  Bill Haneman <bill.haneman@sun.com>

	* atk/atkrelation.c: Added gtk-doc docs for 
	atk_relation_type_from_string.

Wed Nov 21 17:54:44 2001  Owen Taylor  <otaylor@redhat.com>

	* atk/atkobject.h (enum): Fix trailing comma on
	enumeration.

	* docs/atk-sections.txt: Update.

	* NEWS: Updates

2001-11-21  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|h]:
	Add additional argument (name) to state-change signal
	Update atk_object_notify_state_change to take account of 
	extra argument for state-change

	* atk/atkmarshal.list:
	Add marshaller for VOID:STRING,BOOLEAN
	
2001-11-21  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|h], docs/atk-sections.txt, docs/tmpl/atkobject.sgml:
	Add enum AtkLayer and functions atk_object_get_layer and
	atk_object_get_mdi_zorder

2001-11-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|h]:
	Remove property accessible-state; use signal state-change instead
	Change signature of state-change handler to take gboolean as argument
	instead of AtkPropertyValues
	Update atk_object_notify_state_change() to emit state-change signal

	* atk/atkstate.[c|h], docs/tmpl/atkstate.sgml:
	Remove state ATK_STATE_COLLAPSED

2001-11-19  Bill Haneman <bill.haneman@sun.com>

	* atk/atkobject.c:
	* atk/atkstate.c:
	Added state-changed signal to atkobject, in anticipation of 
	deprecating the accessible-state property.

	* atk/atkutil.[ch]:
	Fixed signature of atk_util_add_key_listener () to
	take an AtkKeySnoopFunc instead of a pointer to same.

2001-11-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c (atk_object_notify_state_change):
	Fix bug in calculation of number of toggle states

	* atk/atkstate.c:
	Correct out-by-1 error in atk_state_type_register()
	Use type (number of states defined) in atk_state_type_get_name()
	and atk_state_type_for_name()
	
2001-11-17  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkeditabletext.c:
	Remove unused structure _AtkEditableTextIfaceClass

	* atk/atkobject.[c|h]
	Remove signals model_changed and selection_changed

	* atk/selection.[c|h]
	Add signal selection_changed

	* atk/atktable.[c|h]
	Remove unused structure _AtkTableIfaceClass
	Add signal model_changed

	* atk/atktext.[c|h]
	Remove unused structure _AtkTextIfaceClass
	Add signal text_selection_changed

	* docs/tmpl/atkobject.sgml, docs/tmpl/atkselection.sgml,
	docs/tmpl/atktable.sgml, atk/tmpl/atktext.sgml:
	Documentation changes

2001-11-17  Tor Lillqvist  <tml@iki.fi>

	* atk-zip.sh.in: Build separate runtime and developer packages.

	* atk/atk.def: Update.

2001-11-14  Bill Haneman  <bill.haneman@sun.com>

	* atk/atkutil.h :
	Added API 
	atk_add_key_event_listener    (AtkKeySnoopFunc *listener,
	                               gpointer data);
	atk_remove_key_event_listener (AtkKeySnoopFunc *listener,
	                               gpointer data);
	
	to allow non-GTK-dependent installation of key snoop functions.
	This also meant adding definitions of AtkKeySnoopFunc and 
	AtkKeyEventStruct.

2001-11-08  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c (atk_object_notify_state_change):
	Notify previous value when a state if toggled, e.g. ATK_STATE_COLLAPSED
	to ATK_STATE_EXPANDED or vice versa.

2001-11-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.h:
	Add role ATK_ROLE_TREE_TABLE

	* atk/atkrelation.h:
	Remove ATK_RELATION_NODE_CHILDREN and ATK_RELATION_NODE_PARENT
	and added ATK_RELATION_NODE_CHILD_OF; this is for use by TreeTable

	* docs/tmpl/atk-unused.sgml, docs/tmpl/atkaction.smgl,
	docs/tmpl/atkcomponent.sgml, docs/tmpl/atkdocument.sgml,
	docs/tmpl/atkeditabletext.tmpl, docs/tmpl/atkimage.tmpl,
	docs/tmpl/atkobject.sgml, docs/tmpl/atkrelation.sgml,
	docs/tmpl/atkselection.sgml, docs/tmpl/atkstate.sgml,
	docs/tmpl/atkstreamablecontent.sgml, docs/tmpl/atktable.sgml,
	docs/tmpl/atktext.sgml, docs/tmpl/atkutil.sgml:
	Update to reflect the current state of the documentation in the code.

2001-10-31  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/relation.h, docs/tmpl/atkrelation.sgml:
	Add two new relations ATK_RELATION_NODE_CHILDREN and
	ATK_RELATION_NODE_PARENT to support compound objects in a
        node or cell of a tree or table
	Added descriptions of all relations which are defined

	* atk/atktable.c:
	Remove functions atk_table_real_get_index_at(),
	atk_table_real_get_column_at_index() and 
	atk_table_real_get_row_at_index() 
	Correct typos in documentation of other functions.

2001-10-28  Tor Lillqvist  <tml@iki.fi>

	* atk-zip.sh.in: New file, used to build developer package for
	Win32.

	* Makefile.am
	* configure.in: Add it.

	* atk/Makefile.am: Add rules to install and uninstall mingw import
	library.

2001-10-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|h]
	Remove the following properties
	accessible-child - use signal children_changed for notification
	accessible-text - use signal text_changed for notification
	accessible-caret - use signal text_caret_moved for notification
	accessible-selection - use new signal selection_changed 
	for notification
	accessible-visible-data - use new signal visible_data_changed
	for notification
	accessible-model - use new signal model_changed for notification
	Notify when role or parent changes
	Allow parent and role to be set or got using g_object_set() or
	g_object_get()
.
Wed Oct 24 11:13:13 2001  Owen Taylor  <otaylor@redhat.com>

	* Version 0.6

	* NEWS: Updates.

2001-10-25  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.h, docs/tmpl/atkobject.sgml:
	Add role ATK_ROLE_TERMINAL for an accessible terminal.

2001-10-22  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c (atk_object_notify_state_change):
	Initialize AtkPropertyValue data structure to 0 instead of using
	memset.

2001-10-19  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Set automake conditionals OS_WIN32 if on (native)
	Win32, and MS_LIB_AVAILABLE if lib.exe is available. Calculate
	LT_CURRENT - LT_AGE and set LT_CURRENT_MINUS_AGE to that value.

	* atk/Makefile.am: Add atk.def to EXTRA_DIST. On Win32, use
	-export-symbols atk.def. If lib.exe is available, generate
	atk.lib, and install it.

	* atk/atk.def: Update with new entry points.

2001-10-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|], docs/atk-sections.txt,
	docs/tmpl/atkobject.sgml:
	Add convenience function atk_object_notify_state_change()
	to generate property notification of state change.

	* atk/atktext.c, docs/tmpl/atk-unused.sgml:
	Correct comments on functions atk_attribute_get_name() and
	atk_attribute_get_value()

2001-10-17  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c:
	Update comments in atk_text_get_text_[at|after|before]_offset()
	to clarify what these functions will return.

2001-10-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c:
	Update comments in atk_text_get_run_attributes() and
	atk_text_get_default_attributes().

2001-10-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject;c:
	Change "property-change" signal to allow detail (i.e. property name) 
	and add detail in atk_object_notify().

2001-10-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c:
	Correct order of attribute names in text_attr_name array.

2001-10-12  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.[c|h]:
        * docs/atk-sections.txt, docs/tmpl/atktext.sgml:
	Use enum AtkTextAttribute to specify what attribute are supported
	rather than hash defines. Define new functions atk_attribute_get_name()
	and atk_attribute_get_value() which return the strings for the
	attribute name and values for those attribute which have named values.

2001-10-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c (atk_text_get_run_attributes):
	Correct typo.

	* atk/atktext.c (atk_text_get_default_attributes):
	Add call to set iface.

2001-10-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.[c|h]:
        * docs/atk-sections.txt, docs/tmpl/atktext.sgml:
	Add new function atk_text_get_default_attributes
	Rename atk_text_ref_run_attributes to atk_text_get_run_attributes

2001-10-09  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.c (atk_attribute_set_free):
	Avoid leaking of AtkAttributeSet data structure; speed up code.

	* docs/tmpl.atk*.sgml
	Updated to reflect current APIs.

2001-10-01  jacob berkman  <jacob@ximian.com>

	* docs/Makefile.am (dist-hook-local): depend on all-local so that
	make dist works correctly w/o having to build first

2001-10-01  Tor Lillqvist  <tml@iki.fi>

	* configure.in: Add AC_LIBTOOL_WIN32_DLL.

Sat Sep 29 19:45:00 2001  Bill Haneman <bill.haneman@sun.com>
	
	* configure.in (ATK_MICRO_VERSION): Version 0.6
	(because libglade will depend on a the small api addition below)

	* atk/makefile.msc (PKG_VER): Version 0.6

	* atk/atkrelation.h:
	* atk/atkrelation.c: (AtkRelationType 
	atk_relation_type_from_string (const gchar *name)): Added method.

	
Tue Sep 25 12:08:52 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in (ATK_MICRO_VERSION): Version 0.5

	* configure.in (GLIB_REQUIRED_VERSION): Up to 1.3.9

	* atk/makefile.msc (PKG_VER): Version 0.5

2001-09-21  Hans Breuer  <hans@breuer.org>

	* atk/atk.def : updated externals
	* atk/makefile.msc : version 0.4

	* atk/atktext.c (atk_text_get_character_extents) : real_height
	is a reference to int, so use &local_height

Wed Sep 19 10:46:44 2001  Tim Janik  <timj@gtk.org>

	* Released 0.4.

Tue Sep 18 23:41:32 2001  Tim Janik  <timj@gtk.org>

	* configure.in (AM_INIT_AUTOMAKE): auto init from ATK_VERSION.
	up ATK_VERSION to 0.4, interface age 0, binary age 0.
	(from 0.2 which was not properly updated last time).
	depend on glib 1.3.8.

	* NEWS: updates.

2001-09-11  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c:
	Add object reference when object is set as accessible_parent

2001-09-05  Mark McLoughlin <mark@skynet.ie>

	* configure.in: remember ACLOCAL_FLAGS.

2001-09-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktable.[c|h]
	Change atk_table_get_caption() and atk_table_set_caption()
	to deal with AtkObject* rather than gchar*
	Remove redundant and incorrect comments
	
Mon Sep  3 19:42:47 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Version 0.3  

	* configure.in (GLIB_REQUIRED_VERSION): Require GTK+-1.3.7

	* NEWS: Update  

2001-09-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c:
	Correct property definitions for "accessible-table-caption", 
	"accessible-table-column-description", 
	"accessible-table-row-description" 
	* atk/atkobject.h:
	Update comments to include all properties defined

2001-08-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkhyperlink.h:
	Change AtkHyperLink to AtkHyperlink in comment
	* atk/atkhypertext.[c|h]:
	Change AtkHyperLink to AtkHyperlink
	* atk/atktable.[c|h]:
	Make gchar* arguments const; make return value of type gchar*
	G_CONST_RETURN
	* docs/atk-sections.txt
	Remove reference to AtkHyperLink
	* docs/atk-used.sgml, docs/tmpl/atkhyperlink.sgml
	docs/tmpl/atkhypertext.sgml, docs/tmpl/atkdocs.sgml:
	Updated by make
	
2001-08-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktable.c
	Add functions atk_table_real_get_index_at(), 
	atk_table_real_get_row_at_index(), atk_table_real_get_column_at_index()	
	as default implementations for atk_table_get_index_at(),
	atk_table_get_row_at_index(), atk_table_get_column_at_index()

2001-08-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkaction.c:
	Refer to return value in function documentation for 
	atk_action_do_action
	* atk/atkimage.c:
	Fix typo in comments
	* docs/tmpl/atkaction.sgml:
	Update to include return value

2001-08-22  Marc Mulcahy <marc.mulcahy@sun.com>

	* atk/atkaction.c atk/atkaction.h:
	Made atk_action_do_action return a gboolean as the class member of 
	AtkActionIface does.
	* .cvsignore:
	Added atk.spec

2001-08-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/tmpl/atkimage.sgml atk/atkimage.h:
	Swap height and width arguments to atk_image_get_image_size
	* atk/atkimage.c:
	Swap height and height arguments to atk_image_get_image_size
	Do not crash if NULL pointers are passed for return values

2001-08-17  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/tmpl/atktext.sgml atk/atktext.h:
	Change parameter names *offset to *_offset
	* atk/atkcomponent.c:
	Do not crash if NULL pointers are passed for return values
	* atk/atktext.c:
	Change parameter names *offset to *_offset
	Do not crash if NULL pointers are passed for return values
	
2001-08-16  Bill Haneman  <bill.haneman@sun.com>

        * atk/atkutil.c :
        Changed g_type_class_peek() to g_type_class_ref()
        in atk_add_global_event_listener(), since
        g_type_class_peek() could return NULL when an
        instance of the class had not been created.

2001-08-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* docs/atk-sections.txt, docs/tmpl/atktext.sgml:
	Ensure that atk_attribute_set_free is in the documentation.

2001-08-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.[c|h], docs/tmpl/atktext.sgml:
	Swapped order of width and height arguments to
	atk_text_get_character_extents()
	Changed AtkAttrributeSet_free to atk_attribute_set_free

2001-08-15  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atktext.[c|h], docs/tmpl/atktext.sgml:
	Changed "length" argument of atk_text_get_character_extents() to
	"height".

2001-08-15  Jens Finke <jens@gnome.org>

	* Makefile.am (EXTRA_DIST): Added atk.spec and atk.spec.in files.
	* configure.in: Moved GLIB_REQUIRED_VERSION to top of file and
	added a AC_SUBST for it. This is needed for the spec.in file.
	Added atk.spec to output list.
	* atk.spec.in: New file.

2001-08-13  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkcomponent.[c|h]
	* docs/atk-sections.txt, docs/tmpl/atkcomponent.sgml
	Change atk_component_get_accessible_at_point to 
	atk_component_ref_accessible_at_point so it will work for flyweights

Sun Aug 12 10:33:02 2001  Owen Taylor  <otaylor@redhat.com>

	* docs/Makefile.am: Set GPATH to fix srcdir != builddir problems
	with GNU make.

2001-08-09  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkaction.c, atk/atkcomponent.c
	Remove all instances of g_return_if_fail (foo != NULL); that are
	immediately before a g_return_if_fail (ATK_IS_FOO (foo));
	since the second check catches the NULL.
	* atk/atkcomponent.c
	Add functions atk_component_real_contains(), 
	atk_component_real_get_position(), atkcomponent_real_get_size()	
	as default implementations for atk_component_contains(),
	atk_component_get_position(), atk_component_get_size()

2001-08-07  Brian Cameron <brian.cameron@sun.com>

	* atk/atkimage.[ch] docs/atk-sections.txt
	docs/tmpl/atkimage.sgml
	Updated AtkImage get_position to get_image_position
	so the naming is consistant.  Now get_image_position
	and get_image_size return -1 for x/y/height/width
	if AtkImage implementations of these functions is
	not found.

2001-07-31  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c
	Create an object relation set when the object is created.

2001-07-30  Brian Cameron <brian.cameron@sun.com>

	* atk/atkutil.[ch]
	Changed first argument of atk_add_global_event_listener
	so the callback function is of type GSignalEmissionHook
	instead of AtkEventListener.  AtkEventListener is
	appropriate for Focus event callbacks, but not generic
	ones.

2001-07-27  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c:
	Add function atk_object_real_ref_state_set() which creates the
	state set and adds states ATK_STATE_SELECTABLE and ATK_STATE_SELECTED
	if appropriate

2001-07-27  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/*.c:
	Remove all instances of g_return_if_fail (foo != NULL); that are
	immediately before a g_return_if_fail (ATK_IS_FOO (foo));
	since the second check catches the NULL.

2001-07-26  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/Makefile.am
	Fix problem with ATK not building after running make maintainer-clean
	and autogen.sh: add extra files to MAINTAINERCLEANFILES

2001-07-25 Bill Haneman <bill.haneman@sun.com>

	* atk/atktext.h
	* atk/atkeditabletext.h
	* atk.pc.in
	* atk-uninstalled.pc.in
	* atk/makefile.msc
	* configure.in
	Removed (unused) #defines of pango/pango.h
	Removed references to/dependencies on pango from .pc files
	Removed dependencies on pango from makefile.msc and configure.in

2001-07-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.[c|h]
	Move some implementation from GAIL:
	Default implementations for some some functions
	atk_object_real_get_name, atk_object_real_set_name,
	atk_object_real_get_description, atk_object_real_set_description,
	atk_object_real_get_parent, atk_object_real_set_parent,
	atk_object_real_get_role,
	atk_object_real_connect_property_change_handler,
	atk_object_real_remove_property_change_handler,
	atk_object_notify,
	definition of property-changed signal.
	Initialize pointers to NULL in atk_object_init().
	Initialize uninitialized function pointers to NULL in 
	atk_object_class_init().
	
2001-07-23  Brian Cameron <brian.cameron@sun.com>

	* atk/atkobject.c
	Changed children_changed signal to allow NULL pointers
	for the 2nd argument to the signal handler.

2001-07-20  Hans Breuer  <hans@breuer.org>

	* atk/atk.def : added more exports
	* atk/makefile.msc : updated win32 build

2001-07-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkaction.[c|h], docs/atk-sections.txt, 
	docs/tmpl/atkaction.sgml
	Add atk_action_get_name() and atk_action_set_description()

2001-07-18  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkstate.[c|h]
	Add ATK_STATE_ENABLED so we can distinguish between a consistent
	and inconsistent GtkToggleButton

2001-07-16  Brian Cameron <brian.cameron@sun.com>

	* atk/atkeditabletext.c atk/atktext.c atk/atktext.h atk/atkutil.h
	docs/atk-sections.txt docs/tmpl/atktext.sgml docs/tmpl/atkutil.sgml
	gail_textattributes_update.pat is for gail/gail and integrates the 
	ATK_ATTRIBUTE_* macros in the gail implementations.
	atk_docs_textattributes_update.pat is for atk/docs and patches
	atk-sections.txt etc. for improved docs
	atk_atk_textattributes_update.pat is for atk/atk and included the
	new ATK_ATTRIBUTE_* macros and updated gtk-doc comments.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	* atk/atkstate.c: Add missing <string.h> include.
	* tests/teststateset.c: Add missing <string.h> include.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	* .cvsignore: Ignore some generated files.
	* autogen.sh: Get rid of call to autoheader since the
	configure file doesn't include AM_CONFIG_HEADER.

2001-07-11  Brian Cameron <brian.cameron@sun.com>

	* tmpl/atkdocument.sgml
	Added new file for docs.

2001-07-11  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkimage.c atk/atkutil.c
	Changes to build with Sun's FORTE compiler.

2001-07-10  Brian Cameron <brian.cameron@sun.com>

	* tmpl/atk-unused.sgml tmpl/atkcomponent.sgml tmpl/atkeditabletext.sgml
	tmpl/atkimage.sgml tmpl/atkselection.sgml tmpl/atkstate.sgml
	tmpl/atkstreamablecontent.sgml tmpl/atktable.sgml
	tmpl/atktext.sgml tmpl/atkutil.sgml
	Updated docs pages.

Mon Jul  2 06:37:09 2001  Tim Janik  <timj@gtk.org>

	* atk/atktext.c (atk_text_base_init): 
	* atk/atktable.c (atk_table_base_init): 
	* atk/atkobject.c (atk_object_init): s/signal_newc/signal_new/
	to adapt to recent GSignal changes.

2001-06-28  Brian Cameron <brian.cameron@sun.com>

	* atk/atkutil.c atk/atkutil.h docs/atk-sections.txt
	docs/tmpl/atkutil.sgml
	Added new functiosn to AtkUtil.

2001-06-28  Brian Cameron <brian.cameron@sun.com>

	* atk/Makefile.am atk/atk.h atk/atkdocument.c atk/atkdocument.h
	docs/atk-docs.sgml docs/atk-sections.txt docs/tmpl/atk-unused.sgml
	docs/tmpl/atkobject.sgml
	Added new atk document interface.

2001-06-28  Brian Cameron <brian.cameron@sun.com>

	* atk/atkcomponent.c atk/atkcomponent.h atk/atkimage.c
	atk/atkimage.h atk/atktext.c atk/atktext.h atk/atkutil.h
	Updated so that functions that take screen coords as 
	input/output also take an enum specifying whether
	the coords are screen or top-level window based.
	Updated docs as well.

2001-06-28  Brian Cameron <brian.cameron@sun.com>

	*atk/atkaction.c atk/atkcomponent.c atk/atkeditabletext.c
	atk/atkhyperlink.c atk/atkobject.c atk/atkregistry.c
	atk/atkstate.c atk/atkstateset.c atk/atkstreamablecontent.c
	atk/atktable.c atk/atktext.c atk/atkutil.c atk/atkvalue.c
	atk/docs/tmpl/atkstreamablecontent.sgml
	Cleaned up docs.  Added atkstreamablecontent.sgml

2001-06-28  Brian Cameron <brian.cameron@sun.com>

	*atk/atktable.h, atk/atktable.c
	Updated signal handler definitions.

2001-06-27  Brian Cameron <brian.cameron@sun.com>

	*atk/atktext.h
	Updated AtkXYCoords enum.

2001-06-27  Brian Cameron <brian.cameron@sun.com>

	*atk/atkaction.c atk/atkaction.h atk/atkcomponent.c
	atk/atkcomponent.h atk/atkhyperlink.c atk/atkhypertext.c
	atk/atkimage.c atk/atkimage.h atk/atkobject.c
	atk/atkobject.h atk/atkobjectfactory.c atk/atkregistry.c
	atk/atkstateset.c atk/atkstreamablecontent.c
	atk/atkstreamablecontent.h atk/atktable.c
	atk/atktext.c, docs/atk-docs.sgml docs/atk-sections.txt
	and some docs/tmpl files.
	Updated gtk-docs fixing spelling errors and making minor
	changes to the API.

2001-06-27  Louise Miller <lousie.miller@sun.com>

	*atk/atkselection.h, atk/atkselection.c
	changed return type to gboolean for 
	atk_selection_select_all_selection

2001-06-26  Brian Cameron <brian.cameron@sun.com>

	*atk/atkstate.h atk/atkstate.c
	docs/tmpl/atk-unused.sgml docs/tmpl/atkselection.sgml
	docs/tmpl/atkstate.sgml docs/tmpl/atktable.sgml
	docs/tmpl/atktext.sgml
	Added ATK_STATE_STALE.  Updated docs.

2001-06-22  Lucy Brophy <lucy.brophy@sun.com>

	*atk/atktext.h
	Removed the macro ATK_TEXT_BOUNDARY_CURSOR_POS

2001-06-21  Brian Cameron <brian.cameron@sun.com>

	* atk/atkeditabletext.h, atk/atkobject.h,
	atktext.[ch]
	Added AtkAttributeSet_free() convenience
	function.

2001-06-20  Peter Williams  <peterw@ximian.com>

	* atk/atknoopobject.h: Correct prototype name: agtk_widget_get_type ->
	atk_no_op_object_get_type. Change #ifdef __cplusplus mess to nicer
	G_{BEGIN,END}_DECLS.

2001-06-20  Brian Cameron <brian.cameron@sun.com>

	* atk/atktable.c, atk/atkmarshal.list
	Removed needless marshal and updated signal handlers in
	atktable.c

2001-06-20  Louise Miller <louise.miller@sun.com>

	*atk/atktable.h, atk/table.c, docs/tmpl/atktable.sgml	
	Changed parameters for get_selected_rows/get_selected_columns
	Added 4 new functions, add_row_selection, remove_row_selection,
	add_column_selection, remove_column_selection

2001-06-19  Brian Cameron <brian.cameron@sun.com>

	* atk/atktable.c
	Fixed minor bug with signals.

2001-06-18  Brian Cameron <brian.cameron@sun.com>

	* atk/atktable
	Added signals.

2001-06-15  Brian Cameron & Lucy Brophy  <brian.cameron@sun.com>

	* atk/atkselection.h atk/atkselection.c
	Now add_selection, clear_selection, and remove_selection 
	return a boolean indicating SUCCESS/FAILURE to indicate
	if the operation was successful.

2001-06-13  Brian Cameron & Lucy Brophy  <brian.cameron@sun.com>

	* atk/atktable.h atk/atktable.h
	Updated so now the get_text_before|at|after functions
	return the start & end offset of the string.  Updated the
	docs.

2001-06-13  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/Makefile.am: install atknoopobject.h and atknoopobjectfactory.h

2001-06-11  Havoc Pennington  <hp@redhat.com>

	* NEWS: updated

	* configure.in: bump version to 0.2 and add infrastructure for 
	libtool version info. Assumes GTK versioning scheme (major.minor 
	is binary compatible)
	
	* atk/Makefile.am (LDFLAGS): set version info
	(stamp-atkmarshal.h): glib-genmarshal already includes top_builddir
	
2001-06-13  Brian Cameron <brian.cameron@sun.com>

	* atk/atktable.h, atk/atktable.c
	Updated so that get/set row/column header functions
	work with AtkObjects rather than AtkTables.  Organized
	the header file a little more cleanly.  Also the get/set
	row_description and caption functions now use gchar *
	rather than AtkObject.

2001-06-12  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkmarshal.list, atk/atktable.h atk/atktable.c:
	Add signal model-changed.

	* atk/atkobject.c: Add properties
	accessible-role, accessible-table-caption, 
	accessible-table-column-header, accessible-table-column_description.
	accessible-table-row-header, accessible-table-row_description.
	accessible-table-summary, accessible-model

2001-06-12  Brian Cameron <brian.cameron@sun.com>

	* atk/atkeditabletext.[ch], atk/atktext.[ch], atk/atkobject.h
	Updated atkeditabletext and atktext interfaces so they
	now properly define the get/set attribute methods and now
	get_offset_at_point and get_character_extents can request
	x,y coords by either widget or screen coords.

Sat Jun  9 15:17:00 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in (DEP_CFLAGS): Only include gthread-2.0 in
	CFLAGS, not in LIBS. (Always linking with -lpthread
	is a noticeable speed hit.)

Thu Jun  7 17:03:37 2001  Owen Taylor  <otaylor@redhat.com>

	* atk/Makefile.am: Really fix marshal generation.

2001-06-07  Havoc Pennington  <hp@redhat.com>

	* atk/Makefile.am ($(srcdir)/atkmarshal.c): fix up the
	glib-genmarshal stuff

2001-06-07  Havoc Pennington  <hp@redhat.com>

	* atk/Makefile.am: use @GLIB_GENMARSHAL@ so we can use uninstalled
	glib-genmarshal

	* configure.in: rearrange the library checks to support
	uninstalled linking	

	* autogen.sh: add support for AUTOGEN_SUBDIR_MODE

	* atk-uninstalled.pc.in: new file, allows linking to uninstalled
	ATK in giant GTK tarball

2001-06-07  Brian Cameron <brian.cameron@sun.com>

	* docs/atk-api.sgml docs/atk-sections.txt
	docs/tmpl/atk-unused.sgml docs/tmpl/atkeditabletext.sgml
	docs/tmpl/atktext.sgml
	Removed docs/atk-api.sgml since it is not used.
	Updated sgml files and atk-sections.txt to reflect
	recent changes to the atktext and atkeditabletext
	interfaces

2001-06-06  Brian Cameron <brian.cameron@sun.com>

	* atk/atktext.h atk/atktext.h
	Updated to new atktext functions for getting attributes.

2001-06-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* New files atk/atkstreamablecontent.[ch]
	Updated files: atk/Makefile.am, atk/atk.h

	* atk/atkvalue.c: Updated comments

2001-06-06  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkregistry.h: Add declaration for atk_registry_get_type()

2001-06-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Add property accessible-visible-data

2001-06-01  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Add support for setting and getting 
	accessible-value property.

	* atk/atkvalue.[ch] Make GValue in atk_value_set_current_value const

Fri Jun 01  Brian Cameron <brian.cameron@sun.com>

        * atk/atkeditabletext.[ch], atk/atktext.[ch]

        * docs/atk-overrides.txt, docs/Makefile.am
          Updated the interface for dealing with selected
          text to handle multiple selected regions.  Removed
          get_row_col_at_offset from atktext.[ch].  Added
          docs/atk-overrides.txt file.

Thu May 31  Brian Cameron <brian.cameron@sun.com>

        * Makefile.am configure.in atk/Makefile.am atk/atktext.c
	  atk/atkutil.c docs/Makefile.am atk/atkmarshal.list
          Added atk_marshal_VOID__INT_INT marshaller.  Updated the
          Makefiles so the proper marshall files get included in the
          dist.  Updated the Makefiles and configure.in so that the
          docs get included in the dist.

Tue May 29 18:17:11 2001  Owen Taylor  <otaylor@redhat.com>

	* autogen.sh (have_libtool): Fix GNU sedism (#55430)

2001-05-29  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.c: Define new properties accessible-text, 
	accessible-caret, accessible-selection and accessible-value

2001-05-29  Brian Cameron <brian.cameron@sun.com>

        * docs/atk-sections.txt

        * docs/tmpl/*
        Improved the layout/formatting of the atk docs.  Added docs/tmpl
        files.

2001-05-28  Brian Cameron <brian.cameron@sun.com>

	* atk/atktext.c
	Now properly set the initialized flag when setting up signals.
        Updated the atk-docs in several files

2001-05-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkaction.c, atk/atkcomponent.c, atk/atkeditabletext.c,
	atk/atkhyperlink.c, atk/atkhypertext.c, atk/atkimage.c,
	atk/atkregistry.c, atk/atkselection.c, atk/atktable.c,
	atk/atktext.c, atk/atkutil.c, atk/atkvalue.c
	Fix warnings generated by Sun FORTE compiler

2001-05-24  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkcomponent.c atk/atkvalue.c
	Remove return calls in functions which return void
	
2001-05-23  Padraig O'Briain  <padraig.obriain@sun.com>

	* atk/atkobject.h: Correct naming of role for status bar

        * atk/atktext.c: 
	Clarify behaviour of atk_text_get_text_after/at/before_offset
 
Sun May 13 11:35:32 2001  Owen Taylor  <otaylor@redhat.com>

	* autogen.sh (have_automake): Require libtool-1.4, automake-1.4p1.

2001-01-06  Hans Breuer  <hans@breuer.org>

	* atk/makefile.msc atk/atk.def (new files) :
	Enable build for win32, no sourc changes necessary.

Sat May  5 07:46:47 2001  Owen Taylor  <otaylor@redhat.com>

	* Released 0.1

Thu May  3 08:38:24 2001  Owen Taylor  <otaylor@redhat.com>

	* atk/atkobject.c: Add missing include of <string.h> for strcmp.

Tue Apr 25 10:10:00 2001  Padraig Obriain <padraig.obriain@sun.com>

        * Start a ChangeLog

